<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>CSI_Utils.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01542</filename>
    <includes id="a01543" name="CSI_Utils.h" local="yes" imported="no">orbsvcs/Security/CSI_Utils.h</includes>
    <member kind="function">
      <type>TAO_BEGIN_VERSIONED_NAMESPACE_DECL void</type>
      <name>create_sas_service_context</name>
      <anchorfile>a01585.html</anchorfile>
      <anchor>348846e6404f67e1c71044f4683ae87f</anchor>
      <arglist>(const CSI::SASContextBody &amp;sas_context, IOP::ServiceContext &amp;sc)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>extract_sas_service_context</name>
      <anchorfile>a01585.html</anchorfile>
      <anchor>db2f490f82fe0907bd25c952a7b213ab</anchor>
      <arglist>(const IOP::ServiceContext &amp;sc, CSI::SASContextBody &amp;sas_context)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>CSI_Utils.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01543</filename>
    <namespace>IOP</namespace>
    <namespace>CSI</namespace>
    <namespace>TAO</namespace>
    <namespace>TAO::CSI_Utils</namespace>
    <member kind="function">
      <type>TAO_BEGIN_VERSIONED_NAMESPACE_DECL void</type>
      <name>create_sas_service_context</name>
      <anchorfile>a01585.html</anchorfile>
      <anchor>348846e6404f67e1c71044f4683ae87f</anchor>
      <arglist>(const CSI::SASContextBody &amp;sas_context, IOP::ServiceContext &amp;sc)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>extract_sas_service_context</name>
      <anchorfile>a01585.html</anchorfile>
      <anchor>db2f490f82fe0907bd25c952a7b213ab</anchor>
      <arglist>(const IOP::ServiceContext &amp;sc, CSI::SASContextBody &amp;sas_context)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Security.idl</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/</path>
    <filename>a01544</filename>
    <namespace>Security</namespace>
    <class kind="struct">Security::ExtensibleFamily</class>
    <class kind="struct">Security::AttributeType</class>
    <class kind="struct">Security::SecAttribute</class>
    <class kind="struct">Security::Right</class>
    <class kind="struct">Security::ChannelBindings</class>
    <class kind="struct">Security::OpaqueBuffer</class>
    <class kind="struct">Security::OptionsDirectionPair</class>
    <class kind="struct">Security::MechandOptions</class>
    <class kind="struct">Security::EstablishTrust</class>
    <class kind="struct">Security::AuditEventType</class>
    <class kind="struct">Security::SelectorValue</class>
    <member kind="typedef">
      <type>string</type>
      <name>SecurityName</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>814219bb218545dc0fefd45c538f45bf</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; octet &gt;</type>
      <name>Opaque</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>9e7d2286276df722b9d3940c5b6b4e6a</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; octet &gt;</type>
      <name>OID</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>1a296d03d8bfad210cfff865818da770</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; OID &gt;</type>
      <name>OIDList</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>5e8a12d0c2bc1811a866e8b1c23c679d</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned long</type>
      <name>SecurityAttributeType</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>a68d6b64087d5fc5d7e07de0b8b89c12</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; AttributeType &gt;</type>
      <name>AttributeTypeList</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>63a4a68f048ef9b04a6c7f9d48539e61</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; SecAttribute &gt;</type>
      <name>AttributeList</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>c503c63b0b8f86d21b2e0cbc4bc57505</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned long</type>
      <name>AuthenticationMethod</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>d29e4766ec479e8098aec63f0eb15cd4</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; AuthenticationMethod &gt;</type>
      <name>AuthenticationMethodList</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>0d504794c71f6bd7aabdfff9d05adf95</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; Right &gt;</type>
      <name>RightsList</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>129cfbd5ab99840ef31674cf03e27c36</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TimeBase::UtcT</type>
      <name>UtcT</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>4a02248e60b4e0cffda1a29a6641b631</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TimeBase::IntervalT</type>
      <name>IntervalT</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>2cb279415f44d445dbb19d027b27482a</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TimeBase::TimeT</type>
      <name>TimeT</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>54d033d2c6cee8231b5b9b0e2d578b77</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned short</type>
      <name>AssociationOptions</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>d71b86238d95e7c924a8586e3dbdd073</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>string</type>
      <name>MechanismType</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>4e4216db85330e0b4d358fe24cb44275</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; MechanismType &gt;</type>
      <name>MechanismTypeList</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>b832003f55495fe397c5507ac4b95eed</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; OptionsDirectionPair &gt;</type>
      <name>OptionsDirectionPairList</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>55de4cff215f4357a39c7ad3afcd03b6</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; MechandOptions &gt;</type>
      <name>MechandOptionsList</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>8c6ad5e7da98e688a3357a1dce063f88</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned long</type>
      <name>AuditChannelId</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>a8d182ca92bdcf7c3f86ee7e6263fd6a</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned short</type>
      <name>_EventType</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>72aca80b01702b155d49d7add7bd77a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; AuditEventType &gt;</type>
      <name>AuditEventTypeList</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>dfb3d5be6c19bbc4856c259f84663833</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned long</type>
      <name>SelectorType</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>e0607f1f9959eea4267d0c53ae300e60</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; SelectorValue &gt;</type>
      <name>SelectorValueList</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>919731dd2609df326162e90a77c49dfd</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>AuthenticationStatus</name>
      <anchor>902e0ae6d8e5c75860330f6493c13a8a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAuthSuccess</name>
      <anchor>902e0ae6d8e5c75860330f6493c13a8ad7c7cabafe24aeb529c0e8f841941819</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAuthFailure</name>
      <anchor>902e0ae6d8e5c75860330f6493c13a8a5297e558ca2e0c397efe48a551a144a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAuthContinue</name>
      <anchor>902e0ae6d8e5c75860330f6493c13a8aff3afa4c43b541e35ee8063b9388c743</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAuthExpired</name>
      <anchor>902e0ae6d8e5c75860330f6493c13a8ae2674173e9ebb3a72a4d5be43b9c2f19</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>AssociationStatus</name>
      <anchor>47716162ec545e5c373f62d97fe332b3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAssocSuccess</name>
      <anchor>47716162ec545e5c373f62d97fe332b33f03adc2380ec229500747e462b6275d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAssocFailure</name>
      <anchor>47716162ec545e5c373f62d97fe332b3ca30ed96f67b340c7388d5ccf7ed1609</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAssocContinue</name>
      <anchor>47716162ec545e5c373f62d97fe332b3cb49e8ebb09d17ce18e136a4fe37c3a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>InvocationCredentialsType</name>
      <anchor>2eb60461eb4d3fb038f88209f68f4532</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecOwnCredentials</name>
      <anchor>2eb60461eb4d3fb038f88209f68f4532203718e5795d8ff48366d4809f81a649</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecReceivedCredentials</name>
      <anchor>2eb60461eb4d3fb038f88209f68f453281793c12bd5fd6df7f6baaa587a81f84</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecTargetCredentials</name>
      <anchor>2eb60461eb4d3fb038f88209f68f453202e48f86c147b945862f2e8eb0ad6498</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>RightsCombinator</name>
      <anchor>adb0bc6b745a0b7d907c84a24a4bc9f8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAllRights</name>
      <anchor>adb0bc6b745a0b7d907c84a24a4bc9f8b8972842d1e52cfed39820e29cb30477</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAnyRight</name>
      <anchor>adb0bc6b745a0b7d907c84a24a4bc9f801c215c32c544de5e16c8c3faf1d936d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>DelegationState</name>
      <anchor>405a71f64c00de5147068346a36c1420</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecInitiator</name>
      <anchor>405a71f64c00de5147068346a36c1420554b1359f86c7a41eaa454b20bad7754</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDelegate</name>
      <anchor>405a71f64c00de5147068346a36c1420d98cadc993ce5fb76ee91ed16cd909e3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>DelegationDirective</name>
      <anchor>f36b20396cc8d441a3ce40ef6a3145e1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Delegate</name>
      <anchor>f36b20396cc8d441a3ce40ef6a3145e1c09a5e13de8e9837779b6e269718f8ea</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NoDelegate</name>
      <anchor>f36b20396cc8d441a3ce40ef6a3145e100f1b9fde0639747c4fc31f7fe3f2d95</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>SecurityFeature</name>
      <anchor>fc242406aa54378995ef5cf2179bca47</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecNoDelegation</name>
      <anchor>fc242406aa54378995ef5cf2179bca4705af0a989da771158da21ba1716487ec</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecSimpleDelegation</name>
      <anchor>fc242406aa54378995ef5cf2179bca479a55eac5a829fc5dd7af829fa11da0a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecCompositeDelegation</name>
      <anchor>fc242406aa54378995ef5cf2179bca4711f2e080863235e2c559a3500772903e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecNoProtection</name>
      <anchor>fc242406aa54378995ef5cf2179bca47e3686e487188243586216bb8673349ec</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecIntegrity</name>
      <anchor>fc242406aa54378995ef5cf2179bca473f80730300e34c331b4ab264f66d13f5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecConfidentiality</name>
      <anchor>fc242406aa54378995ef5cf2179bca47dd6c3c69fe72ca0d8e500f13b6efaf4b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecIntegrityAndConfidentiality</name>
      <anchor>fc242406aa54378995ef5cf2179bca470f2571a459a363152efb9ebb8990674e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDetectReplay</name>
      <anchor>fc242406aa54378995ef5cf2179bca47b4b8f4f584b53c438a906be2ff9da327</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDetectMisordering</name>
      <anchor>fc242406aa54378995ef5cf2179bca4753efd45732f42349c091548f93a62fd1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecEstablishTrustInTarget</name>
      <anchor>fc242406aa54378995ef5cf2179bca47c5b3ccb9b4ea380ef95e79f0513cf08a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecEstablishTrustInClient</name>
      <anchor>fc242406aa54378995ef5cf2179bca47bc355029cc656bbb1509400ab1b01adf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>QOP</name>
      <anchor>073e09cbda5392fc74ae74021f88bf80</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecQOPNoProtection</name>
      <anchor>073e09cbda5392fc74ae74021f88bf8012ab9b5c46966d66cd87198863d12e2f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecQOPIntegrity</name>
      <anchor>073e09cbda5392fc74ae74021f88bf8065b8fa78a2b9edbaefa15ab3bf3bf64e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecQOPConfidentiality</name>
      <anchor>073e09cbda5392fc74ae74021f88bf80b8cd828a175a596be8d9f0beccfc9c85</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecQOPIntegrityAndConfidentiality</name>
      <anchor>073e09cbda5392fc74ae74021f88bf804ae008a66d11dc834b61217791a4b47e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>SecurityContextType</name>
      <anchor>3cdea22e03fab68b80000d1b8aa7c90f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecClientSecurityContext</name>
      <anchor>3cdea22e03fab68b80000d1b8aa7c90f2e06eedaef7733db442e7e0698693051</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecServerSecurityContext</name>
      <anchor>3cdea22e03fab68b80000d1b8aa7c90f75d8a207ee6df22fbd8bf050e3cae623</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>SecurityContextState</name>
      <anchor>f303052ab4e97e321b67f873289496fa</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecContextInitialized</name>
      <anchor>f303052ab4e97e321b67f873289496faee9c6dbcd3c511d4c07cfc45bcd667d7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecContextContinued</name>
      <anchor>f303052ab4e97e321b67f873289496fafa829b34a2963c71c028063312381531</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecContextClientEstablished</name>
      <anchor>f303052ab4e97e321b67f873289496fa4a3bc9b62d2203806ff5e99ff0712e2e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecContextEstablished</name>
      <anchor>f303052ab4e97e321b67f873289496fa4f4a600544ad9aa999ad15b302ff9a43</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecContextEstablishExpired</name>
      <anchor>f303052ab4e97e321b67f873289496fad057375d8e8b98a0a65f856faba6df92</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecContextExpired</name>
      <anchor>f303052ab4e97e321b67f873289496fa3a1457083753dd1673d98d5b97c3d0fa</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecContextInvalid</name>
      <anchor>f303052ab4e97e321b67f873289496fa1653de6e73eddc9575a7274e9206151d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>RequiresSupports</name>
      <anchor>77d3aaa9870f7672930ca3dbb708b688</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecRequires</name>
      <anchor>77d3aaa9870f7672930ca3dbb708b6880cb5d7008a7a91f44b58a3900eb875f5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecSupports</name>
      <anchor>77d3aaa9870f7672930ca3dbb708b68889efe2b976370854a6a02aff8d2b7029</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>CommunicationDirection</name>
      <anchor>4bb32de232dd9e06a30a70e9589d7088</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDirectionBoth</name>
      <anchor>4bb32de232dd9e06a30a70e9589d708874710bc7690c589f0cb09b210fcb8a07</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDirectionRequest</name>
      <anchor>4bb32de232dd9e06a30a70e9589d7088af8d99c84e66d9178bc88f9158cc5587</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDirectionReply</name>
      <anchor>4bb32de232dd9e06a30a70e9589d7088ffd6a96de1fabc485e04a85b16c3ef51</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>DelegationMode</name>
      <anchor>575f5d912b2c607c448c1ce606b09006</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDelModeNoDelegation</name>
      <anchor>575f5d912b2c607c448c1ce606b09006941bc5514e5845a216adb7d320d7910f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDelModeSimpleDelegation</name>
      <anchor>575f5d912b2c607c448c1ce606b090068b1a277314bbf2f3f72d1c8e8d787163</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDelModeCompositeDelegation</name>
      <anchor>575f5d912b2c607c448c1ce606b090066ab667f0d04deab52512f133acb4699f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>DayOfTheWeek</name>
      <anchor>2d2a6a09acfdfacdd605a47c7268e864</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Monday</name>
      <anchor>2d2a6a09acfdfacdd605a47c7268e864861dd14a83baf5cf1dc8f35aa8eb499d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Tuesday</name>
      <anchor>2d2a6a09acfdfacdd605a47c7268e864356d7c0315fcbffde870fd281eb4aba1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Wednesday</name>
      <anchor>2d2a6a09acfdfacdd605a47c7268e864cd0f48524075b8bb45027832508efc1a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Thursday</name>
      <anchor>2d2a6a09acfdfacdd605a47c7268e864b97fb1a45c65ff9b4f09590f9a996567</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Friday</name>
      <anchor>2d2a6a09acfdfacdd605a47c7268e8642555a5b87edb1ca6b5bdadf1fb332d30</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Saturday</name>
      <anchor>2d2a6a09acfdfacdd605a47c7268e864abc9f82b19b5256d56329619c14970aa</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Sunday</name>
      <anchor>2d2a6a09acfdfacdd605a47c7268e8647afa7ce7e3d0168c110b52872cf805a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>AuditCombinator</name>
      <anchor>00aa89384337490fb19f2e52cdc4e35d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAllSelectors</name>
      <anchor>00aa89384337490fb19f2e52cdc4e35d738469ee963bb531352515045cb60fed</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAnySelector</name>
      <anchor>00aa89384337490fb19f2e52cdc4e35d6915ff078303ef677fcef36a34474210</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>SecurityLevel1</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>1cea252d14164afc7cfbb60f63544e34</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>SecurityLevel2</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>f78bbc6c226cec1741d6f197c1043bc6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>NonRepudiation</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>084cc14839aadb37990ffcda2e4182a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>SecurityORBServiceReady</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>da76accf440b75704795700611166e64</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>SecurityServiceReady</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>8cf09c785fd56878e140d342fbef7d7e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>ReplaceORBServices</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>97f36645e59180256b1162a3a8692cfe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>ReplaceSecurityServices</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>7642dfb20aab0fa9da49b59ba07e55d3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>StandardSecureInteroperability</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>122cea8a328d8daa7e34722a299667f8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>DCESecureInteroperability</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>bd15cd10d2346f6775c5debbac797e56</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>CommonInteroperabilityLevel0</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>52fdeb7561d839e30dfbd2c857a9540a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>CommonInteroperabilityLevel1</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>196ccdec04b2a8de3c28ee72c5268292</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>CommonInteroperabilityLevel2</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>f5a3f1e90e43d7355b5c6cc4a0407175</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceDetailType</type>
      <name>SecurityMechanismType</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>306c4b720941b388ab864b2566fdd0e0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceDetailType</type>
      <name>SecurityAttribute</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>884d82f6cf8ca496201fa62647014c0c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>AuditId</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>d6b21b0af7c2a74004696af698fcfd1c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>AccountingId</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>1d12c424b8dc89e578e79bbf25ae5e7d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>NonRepudiationId</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>ccadcfbe338cda80429bda974be5ecfc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>_Public</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>3ad02154abaf58997b6faa038c1fe154</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>AccessId</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>fea8b81722d79f0e21044d8cf91b5882</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>PrimaryGroupId</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>7a3c5411cae371113775754a4e72eed0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>GroupId</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>47ccb46ab789169a0b388773aa551e1b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>Role</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>de24b647d3a48453e180714b15f8a122</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>AttributeSet</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>e7878d70b7ec64844ddcd057520da5d8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>Clearance</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>dcde55f9d70624f2342f5c3703ecddb2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>Capability</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>ce9fc26905f548af65a6c6f110cf55c0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>NoProtection</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>9f53bddf070ee17a9c3e7284c0d93bd9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>Integrity</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>a0183da885880bdbd81496312e642313</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>Confidentiality</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>690ee03cb35a64776845ef01a3a08ba6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>DetectReplay</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>59b18a6d230cf6e265e7227ae9b1507f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>DetectMisordering</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>50f74ada82c28d697631cd5b81c7bc54</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>EstablishTrustInTarget</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>1b01bf661ea2e933f930a360ad5d12de</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>EstablishTrustInClient</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>0d9a9af6ea7207c39e93212936462da2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>NoDelegation</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>8cb7d50c00f4696f3a5a23b69c83a331</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>SimpleDelegation</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>ece687db2463dff13648b8bf06dedbf0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>CompositeDelegation</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>68a9a195e988d6bde09c3d067c9ed046</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditAll</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>273b8517a26bd08251e2c6695f37b589</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditPrincipalAuth</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>6ee1444f2b741d841f2b399580c58569</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditSessionAuth</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>d85266b93ac6745c145c7d991b189523</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditAuthorization</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>ac77b93f02dda47ee38767c78cdf7fd4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditInvocation</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>020f30c383bd10dbb84a164644dbe639</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditSecEnvChange</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>e1a03cd01d7c3fae784be4f4f6004215</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditPolicyChange</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>e95bf8a094064d0be21de0ed66e4a17f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditObjectCreation</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>59523e3885345da8ded0a16c2910d127</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditObjectDestruction</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>b2c1389b202113ab9e35c1a2e7d6797c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditNonRepudiation</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>db1caf1e91f1ddf14412afa2f4982da1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SelectorType</type>
      <name>InterfaceName</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>64803b6331d95c3d487c49e442be22dd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SelectorType</type>
      <name>ObjectRef</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>cca69c1f3caeb1c2e37da272b575ffa2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SelectorType</type>
      <name>Operation</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>de3890630521e85e5840b2bf1baedd20</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SelectorType</type>
      <name>Initiator</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>15d76eb03ed9987adf0a87b39f8a3312</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SelectorType</type>
      <name>SuccessFailure</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>66f725444a764bb39c95bf4ba3576618</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SelectorType</type>
      <name>Time</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>688b1fb8d5bc2d6e153c82ebef608b51</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SelectorType</type>
      <name>DayOfWeek</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>771eaae26d5b8415526ab4c0fda2cc0b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecClientInvocationAccess</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>7912e63565d4024494df13349e6fb122</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecTargetInvocationAccess</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>d99c620715b9cec199e89b49c37c2b17</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecApplicationAccess</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>399382442f7f2a2f33f1df7443dfbdea</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecClientInvocationAudit</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>f54c71d0b6af9961315fefcc4aa8f631</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecTargetInvocationAudit</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>3439983ee508145aa8a6d2fe56144798</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecApplicationAudit</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>2f00bfc6ac82a61f06e9430844782f24</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecDelegation</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>b331958f23a6b2378ae6f221c01a0459</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecClientSecureInvocation</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>ac22a541a3535fcb8f017f393e25c963</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecTargetSecureInvocation</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>328907c33bd84334aef2aed1daa7f58c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecNonRepudiation</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>97d40ad61e1d795eaaf7b4e33f87dee0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecMechanismsPolicy</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>ac400e8fc689ad4db1c7854d5f048544</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecInvocationCredentialsPolicy</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>bb446d9cded69839ed6605dc11392493</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecFeaturePolicy</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>ed1143fb17c168f0838eec29798da87f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecQOPPolicy</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>d45cad05a98127714f57fa2ec26234a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecDelegationDirectivePolicy</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>4b764af5c187c8adcb02bfa1b52d19ea</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecEstablishTrustPolicy</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>5310e19f86da9f7e51e96e071af42205</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Security_Current.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01545</filename>
    <includes id="a01546" name="Security_Current.h" local="yes" imported="no">orbsvcs/Security/Security_Current.h</includes>
    <includes id="a01547" name="Security_Current.inl" local="yes" imported="no">orbsvcs/Security/Security_Current.inl</includes>
    <member kind="function">
      <type></type>
      <name>ACE_RCSID</name>
      <anchorfile>a01545.html</anchorfile>
      <anchor>f665ff20ef84b0ae02ac81d42132f518</anchor>
      <arglist>(Security, Security_Current,&quot;$Id: Security_Current.cpp 76601 2007-01-25 19:59:59Z elliott_c $&quot;) TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_Security_Current</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Security_Current.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01546</filename>
    <includes id="a01550" name="security_export.h" local="yes" imported="no">orbsvcs/Security/security_export.h</includes>
    <includes id="a01549" name="Security_Current_Impl.h" local="yes" imported="no">orbsvcs/Security/Security_Current_Impl.h</includes>
    <includes id="a01547" name="Security_Current.inl" local="yes" imported="no">orbsvcs/Security/Security_Current.inl</includes>
    <class kind="class">TAO_Security_Current</class>
  </compound>
  <compound kind="file">
    <name>Security_Current.inl</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01547</filename>
  </compound>
  <compound kind="file">
    <name>Security_Current_Impl.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01548</filename>
    <includes id="a01549" name="Security_Current_Impl.h" local="yes" imported="no">orbsvcs/Security/Security_Current_Impl.h</includes>
    <member kind="function">
      <type></type>
      <name>ACE_RCSID</name>
      <anchorfile>a01548.html</anchorfile>
      <anchor>0981cbcb8077d4cabac907a56ea80bd2</anchor>
      <arglist>(Security, SL3_Security_Current_Impl,&quot;$Id: Security_Current_Impl.cpp 71526 2006-03-14 06:14:35Z jtc $&quot;) TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Security_Current_Impl.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01549</filename>
    <includes id="a01550" name="security_export.h" local="yes" imported="no">orbsvcs/Security/security_export.h</includes>
    <namespace>TAO</namespace>
    <namespace>TAO::Security</namespace>
    <class kind="class">TAO::Security::Current_Impl</class>
  </compound>
  <compound kind="file">
    <name>security_export.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01550</filename>
    <member kind="define">
      <type>#define</type>
      <name>TAO_SECURITY_HAS_DLL</name>
      <anchorfile>a01550.html</anchorfile>
      <anchor>9c54a4ba705380e209d3b46334544880</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_Security_Export</name>
      <anchorfile>a01550.html</anchorfile>
      <anchor>71c12e23187a34b8d9fb5b1c30c67fca</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_SECURITY_SINGLETON_DECLARATION</name>
      <anchorfile>a01550.html</anchorfile>
      <anchor>5efe78dbeb3f48cdb40bb6c389b890bd</anchor>
      <arglist>(T)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_SECURITY_SINGLETON_DECLARE</name>
      <anchorfile>a01550.html</anchorfile>
      <anchor>129af19d06a83d3ea087659299c4d976</anchor>
      <arglist>(SINGLETON_TYPE, CLASS, LOCK)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Security_ORBInitializer.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01551</filename>
    <includes id="a01552" name="Security_ORBInitializer.h" local="yes" imported="no">orbsvcs/Security/Security_ORBInitializer.h</includes>
    <includes id="a01574" name="SL3_SecurityCurrent.h" local="yes" imported="no">orbsvcs/Security/SL3_SecurityCurrent.h</includes>
    <includes id="a01568" name="SL3_CredentialsCurator.h" local="yes" imported="no">orbsvcs/Security/SL3_CredentialsCurator.h</includes>
    <includes id="a01579" name="SL3_SecurityManager.h" local="yes" imported="no">orbsvcs/Security/SL3_SecurityManager.h</includes>
    <member kind="function">
      <type></type>
      <name>ACE_RCSID</name>
      <anchorfile>a01551.html</anchorfile>
      <anchor>c5332a04a32b30e3e409c9441e75ddde</anchor>
      <arglist>(Security, Security_ORBInitializer,&quot;$Id: Security_ORBInitializer.cpp 76589 2007-01-25 18:04:11Z elliott_c $&quot;) TAO_BEGIN_VERSIONED_NAMESPACE_DECL void TAO</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Security_ORBInitializer.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01552</filename>
    <includes id="a01550" name="security_export.h" local="yes" imported="no">orbsvcs/Security/security_export.h</includes>
    <includes id="a01554" name="Security_PolicyFactory.h" local="yes" imported="no">orbsvcs/Security/Security_PolicyFactory.h</includes>
    <namespace>TAO</namespace>
    <namespace>TAO::Security</namespace>
    <class kind="class">TAO::Security::ORBInitializer</class>
  </compound>
  <compound kind="file">
    <name>Security_PolicyFactory.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01553</filename>
    <includes id="a01554" name="Security_PolicyFactory.h" local="yes" imported="no">orbsvcs/Security/Security_PolicyFactory.h</includes>
    <includes id="a01562" name="SL2_QOPPolicy.h" local="yes" imported="no">orbsvcs/Security/SL2_QOPPolicy.h</includes>
    <includes id="a01560" name="SL2_EstablishTrustPolicy.h" local="yes" imported="no">orbsvcs/Security/SL2_EstablishTrustPolicy.h</includes>
    <includes id="a01564" name="SL3_ContextEstablishmentPolicy.h" local="yes" imported="no">orbsvcs/Security/SL3_ContextEstablishmentPolicy.h</includes>
    <includes id="a01570" name="SL3_ObjectCredentialsPolicy.h" local="yes" imported="no">orbsvcs/Security/SL3_ObjectCredentialsPolicy.h</includes>
    <member kind="function">
      <type></type>
      <name>ACE_RCSID</name>
      <anchorfile>a01553.html</anchorfile>
      <anchor>9f58b5e57e1ba0481540d79a9bb6d7d4</anchor>
      <arglist>(Security, Security_PolicyFactory,&quot;$Id: Security_PolicyFactory.cpp 76589 2007-01-25 18:04:11Z elliott_c $&quot;) TAO_BEGIN_VERSIONED_NAMESPACE_DECL CORBA</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Security_PolicyFactory.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01554</filename>
    <includes id="a01550" name="security_export.h" local="yes" imported="no">orbsvcs/Security/security_export.h</includes>
    <namespace>TAO</namespace>
    <namespace>TAO::Security</namespace>
    <class kind="class">TAO::Security::PolicyFactory</class>
  </compound>
  <compound kind="file">
    <name>SecurityAdmin.idl</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/</path>
    <filename>a01555</filename>
  </compound>
  <compound kind="file">
    <name>SecurityLevel1.idl</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/</path>
    <filename>a01556</filename>
    <includes id="a01544" name="Security.idl" local="yes" imported="yes">orbsvcs/Security.idl</includes>
    <namespace>SecurityLevel1</namespace>
    <class kind="interface">SecurityLevel1::Current</class>
  </compound>
  <compound kind="file">
    <name>SecurityLevel2.idl</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/</path>
    <filename>a01557</filename>
    <includes id="a01556" name="SecurityLevel1.idl" local="yes" imported="yes">orbsvcs/SecurityLevel1.idl</includes>
    <namespace>SecurityLevel2</namespace>
    <class kind="interface">SecurityLevel2::PrincipalAuthenticator</class>
    <class kind="interface">SecurityLevel2::Credentials</class>
    <class kind="interface">SecurityLevel2::ReceivedCredentials</class>
    <class kind="interface">SecurityLevel2::TargetCredentials</class>
    <class kind="interface">SecurityLevel2::RequiredRights</class>
    <class kind="interface">SecurityLevel2::AuditChannel</class>
    <class kind="interface">SecurityLevel2::AuditDecision</class>
    <class kind="interface">SecurityLevel2::AccessDecision</class>
    <class kind="interface">SecurityLevel2::QOPPolicy</class>
    <class kind="interface">SecurityLevel2::MechanismPolicy</class>
    <class kind="interface">SecurityLevel2::InvocationCredentialsPolicy</class>
    <class kind="interface">SecurityLevel2::EstablishTrustPolicy</class>
    <class kind="interface">SecurityLevel2::DelegationDirectivePolicy</class>
    <class kind="interface">SecurityLevel2::SecurityManager</class>
    <class kind="interface">SecurityLevel2::Current</class>
    <member kind="typedef">
      <type>sequence&lt; Credentials &gt;</type>
      <name>CredentialsList</name>
      <anchorfile>a01583.html</anchorfile>
      <anchor>cc4d92489ce40a5798f8e587e61c3dbd</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>SecurityReplaceable.idl</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/</path>
    <filename>a01558</filename>
    <includes id="a01557" name="SecurityLevel2.idl" local="yes" imported="yes">orbsvcs/SecurityLevel2.idl</includes>
    <namespace>SecurityReplaceable</namespace>
    <class kind="interface">SecurityReplaceable::Vault</class>
    <class kind="interface">SecurityReplaceable::SecurityContext</class>
    <class kind="interface">SecurityReplaceable::ClientSecurityContext</class>
    <class kind="interface">SecurityReplaceable::ServerSecurityContext</class>
    <class kind="interface">SecurityReplaceable::RequiredRights</class>
    <class kind="interface">SecurityReplaceable::AuditChannel</class>
    <class kind="interface">SecurityReplaceable::AuditDecision</class>
    <class kind="interface">SecurityReplaceable::AccessDecision</class>
  </compound>
  <compound kind="file">
    <name>SL2_EstablishTrustPolicy.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01559</filename>
    <includes id="a01560" name="SL2_EstablishTrustPolicy.h" local="yes" imported="no">orbsvcs/Security/SL2_EstablishTrustPolicy.h</includes>
  </compound>
  <compound kind="file">
    <name>SL2_EstablishTrustPolicy.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01560</filename>
    <includes id="a01550" name="security_export.h" local="yes" imported="no">orbsvcs/Security/security_export.h</includes>
    <namespace>TAO</namespace>
    <namespace>TAO::Security</namespace>
    <class kind="class">TAO::Security::EstablishTrustPolicy</class>
  </compound>
  <compound kind="file">
    <name>SL2_QOPPolicy.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01561</filename>
    <includes id="a01562" name="SL2_QOPPolicy.h" local="yes" imported="no">orbsvcs/Security/SL2_QOPPolicy.h</includes>
  </compound>
  <compound kind="file">
    <name>SL2_QOPPolicy.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01562</filename>
    <includes id="a01550" name="security_export.h" local="yes" imported="no">orbsvcs/Security/security_export.h</includes>
    <namespace>TAO</namespace>
    <namespace>TAO::Security</namespace>
    <class kind="class">TAO::Security::QOPPolicy</class>
  </compound>
  <compound kind="file">
    <name>SL3_ContextEstablishmentPolicy.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01563</filename>
    <includes id="a01564" name="SL3_ContextEstablishmentPolicy.h" local="yes" imported="no">orbsvcs/Security/SL3_ContextEstablishmentPolicy.h</includes>
    <member kind="function">
      <type></type>
      <name>ACE_RCSID</name>
      <anchorfile>a01563.html</anchorfile>
      <anchor>f77bb74722df2f57bc16d9bbcf31a469</anchor>
      <arglist>(Security, SL3_ContextEstablishmentPolicy,&quot;$Id: SL3_ContextEstablishmentPolicy.cpp 76589 2007-01-25 18:04:11Z elliott_c $&quot;) TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>SL3_ContextEstablishmentPolicy.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01564</filename>
    <includes id="a01550" name="security_export.h" local="yes" imported="no">orbsvcs/Security/security_export.h</includes>
    <namespace>TAO</namespace>
    <namespace>TAO::SL3</namespace>
    <class kind="class">TAO::SL3::ContextEstablishmentPolicy</class>
  </compound>
  <compound kind="file">
    <name>SL3_CredentialsAcquirerFactory.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01565</filename>
    <includes id="a01566" name="SL3_CredentialsAcquirerFactory.h" local="yes" imported="no">orbsvcs/Security/SL3_CredentialsAcquirerFactory.h</includes>
    <member kind="function">
      <type></type>
      <name>ACE_RCSID</name>
      <anchorfile>a01565.html</anchorfile>
      <anchor>1a86858df6303d4684fd4e2d40cfa3e9</anchor>
      <arglist>(Security, SL3_CredentialsAcquirerFactory,&quot;$Id: SL3_CredentialsAcquirerFactory.cpp 71526 2006-03-14 06:14:35Z jtc $&quot;) TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>SL3_CredentialsAcquirerFactory.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01566</filename>
    <includes id="a01550" name="security_export.h" local="yes" imported="no">orbsvcs/Security/security_export.h</includes>
    <includes id="a01568" name="SL3_CredentialsCurator.h" local="yes" imported="no">orbsvcs/Security/SL3_CredentialsCurator.h</includes>
    <namespace>TAO</namespace>
    <namespace>TAO::SL3</namespace>
    <class kind="class">TAO::SL3::CredentialsAcquirerFactory</class>
  </compound>
  <compound kind="file">
    <name>SL3_CredentialsCurator.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01567</filename>
    <includes id="a01568" name="SL3_CredentialsCurator.h" local="yes" imported="no">orbsvcs/Security/SL3_CredentialsCurator.h</includes>
    <includes id="a01566" name="SL3_CredentialsAcquirerFactory.h" local="yes" imported="no">orbsvcs/Security/SL3_CredentialsAcquirerFactory.h</includes>
    <member kind="function">
      <type></type>
      <name>ACE_RCSID</name>
      <anchorfile>a01567.html</anchorfile>
      <anchor>f6314fe086428ff0094ef0517e00d5f6</anchor>
      <arglist>(Security, SL3_CredentialsCurator,&quot;$Id: SL3_CredentialsCurator.cpp 76589 2007-01-25 18:04:11Z elliott_c $&quot;) TAO_BEGIN_VERSIONED_NAMESPACE_DECL namespace TAO</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>SL3_CredentialsCurator.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01568</filename>
    <includes id="a01550" name="security_export.h" local="yes" imported="no">orbsvcs/Security/security_export.h</includes>
    <namespace>TAO</namespace>
    <namespace>TAO::SL3</namespace>
    <class kind="class">TAO::SL3::CredentialsCurator</class>
    <member kind="typedef">
      <type>CredentialsCurator *</type>
      <name>CredentialsCurator_ptr</name>
      <anchorfile>a01587.html</anchorfile>
      <anchor>fc0686caf65162b30119d766d410b267</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Pseudo_Var_T&lt; CredentialsCurator &gt;</type>
      <name>CredentialsCurator_var</name>
      <anchorfile>a01587.html</anchorfile>
      <anchor>4405d7719d4870740ecd692a374cb450</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Pseudo_Out_T&lt; CredentialsCurator &gt;</type>
      <name>CredentialsCurator_out</name>
      <anchorfile>a01587.html</anchorfile>
      <anchor>7e8cbcb25fe5b56da7109d3cb2c74430</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>SL3_ObjectCredentialsPolicy.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01569</filename>
    <includes id="a01570" name="SL3_ObjectCredentialsPolicy.h" local="yes" imported="no">orbsvcs/Security/SL3_ObjectCredentialsPolicy.h</includes>
    <member kind="function">
      <type></type>
      <name>ACE_RCSID</name>
      <anchorfile>a01569.html</anchorfile>
      <anchor>c9399ad463e0ebeff4fa17c489c36ff2</anchor>
      <arglist>(Security, SL3_ObjectCredentialsPolicy,&quot;$Id: SL3_ObjectCredentialsPolicy.cpp 76589 2007-01-25 18:04:11Z elliott_c $&quot;) TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>SL3_ObjectCredentialsPolicy.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01570</filename>
    <includes id="a01550" name="security_export.h" local="yes" imported="no">orbsvcs/Security/security_export.h</includes>
    <namespace>TAO</namespace>
    <namespace>TAO::SL3</namespace>
    <class kind="class">TAO::SL3::ObjectCredentialsPolicy</class>
  </compound>
  <compound kind="file">
    <name>SL3_PolicyFactory.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01571</filename>
    <includes id="a01572" name="SL3_PolicyFactory.h" local="yes" imported="no">orbsvcs/Security/SL3_PolicyFactory.h</includes>
    <includes id="a01564" name="SL3_ContextEstablishmentPolicy.h" local="yes" imported="no">orbsvcs/Security/SL3_ContextEstablishmentPolicy.h</includes>
    <includes id="a01570" name="SL3_ObjectCredentialsPolicy.h" local="yes" imported="no">orbsvcs/Security/SL3_ObjectCredentialsPolicy.h</includes>
    <member kind="function">
      <type></type>
      <name>ACE_RCSID</name>
      <anchorfile>a01571.html</anchorfile>
      <anchor>9ca34bd21fd1b412622de2eb72024494</anchor>
      <arglist>(Security, SL3_PolicyFactory,&quot;$Id: SL3_PolicyFactory.cpp 76589 2007-01-25 18:04:11Z elliott_c $&quot;) TAO_BEGIN_VERSIONED_NAMESPACE_DECL CORBA</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>SL3_PolicyFactory.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01572</filename>
    <namespace>TAO</namespace>
    <namespace>TAO::SL3</namespace>
    <class kind="class">TAO::SL3::PolicyFactory</class>
  </compound>
  <compound kind="file">
    <name>SL3_SecurityCurrent.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01573</filename>
    <includes id="a01574" name="SL3_SecurityCurrent.h" local="yes" imported="no">orbsvcs/Security/SL3_SecurityCurrent.h</includes>
    <includes id="a01575" name="SL3_SecurityCurrent.inl" local="yes" imported="no">orbsvcs/Security/SL3_SecurityCurrent.inl</includes>
    <member kind="function">
      <type></type>
      <name>ACE_RCSID</name>
      <anchorfile>a01573.html</anchorfile>
      <anchor>2a3e16f5e78377036fc85a19417a5ae3</anchor>
      <arglist>(Security, SL3_SecurityCurrent,&quot;$Id: SL3_SecurityCurrent.cpp 76555 2007-01-24 15:39:09Z johnnyw $&quot;) TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>SL3_SecurityCurrent.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01574</filename>
    <includes id="a01550" name="security_export.h" local="yes" imported="no">orbsvcs/Security/security_export.h</includes>
    <includes id="a01577" name="SL3_SecurityCurrent_Impl.h" local="yes" imported="no">orbsvcs/Security/SL3_SecurityCurrent_Impl.h</includes>
    <includes id="a01575" name="SL3_SecurityCurrent.inl" local="yes" imported="no">orbsvcs/Security/SL3_SecurityCurrent.inl</includes>
    <namespace>TAO</namespace>
    <namespace>TAO::SL3</namespace>
    <class kind="class">TAO::SL3::SecurityCurrent</class>
  </compound>
  <compound kind="file">
    <name>SL3_SecurityCurrent.inl</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01575</filename>
  </compound>
  <compound kind="file">
    <name>SL3_SecurityCurrent_Impl.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01576</filename>
    <includes id="a01577" name="SL3_SecurityCurrent_Impl.h" local="yes" imported="no">orbsvcs/Security/SL3_SecurityCurrent_Impl.h</includes>
    <member kind="function">
      <type></type>
      <name>ACE_RCSID</name>
      <anchorfile>a01576.html</anchorfile>
      <anchor>75859d1474cbb4fc9344de9ba673d205</anchor>
      <arglist>(Security, SL3_Security_Current_Impl,&quot;$Id: SL3_SecurityCurrent_Impl.cpp 71526 2006-03-14 06:14:35Z jtc $&quot;) TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>SL3_SecurityCurrent_Impl.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01577</filename>
    <includes id="a01550" name="security_export.h" local="yes" imported="no">orbsvcs/Security/security_export.h</includes>
    <namespace>TAO</namespace>
    <namespace>TAO::SL3</namespace>
    <class kind="class">TAO::SL3::SecurityCurrent_Impl</class>
  </compound>
  <compound kind="file">
    <name>SL3_SecurityManager.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01578</filename>
    <includes id="a01579" name="SL3_SecurityManager.h" local="yes" imported="no">orbsvcs/Security/SL3_SecurityManager.h</includes>
    <includes id="a01564" name="SL3_ContextEstablishmentPolicy.h" local="yes" imported="no">orbsvcs/Security/SL3_ContextEstablishmentPolicy.h</includes>
    <includes id="a01570" name="SL3_ObjectCredentialsPolicy.h" local="yes" imported="no">orbsvcs/Security/SL3_ObjectCredentialsPolicy.h</includes>
    <member kind="function">
      <type></type>
      <name>ACE_RCSID</name>
      <anchorfile>a01578.html</anchorfile>
      <anchor>1ec1a7a2cb846ce87f46dd62dde6c511</anchor>
      <arglist>(Security, SL3_SecurityManager,&quot;$Id: SL3_SecurityManager.cpp 76589 2007-01-25 18:04:11Z elliott_c $&quot;) TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>SL3_SecurityManager.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>a01579</filename>
    <includes id="a01550" name="security_export.h" local="yes" imported="no">orbsvcs/Security/security_export.h</includes>
    <namespace>TAO</namespace>
    <namespace>TAO::SL3</namespace>
    <class kind="class">TAO::SL3::SecurityManager</class>
  </compound>
  <compound kind="class">
    <name>olicyFactory</name>
    <filename>a01518.html</filename>
  </compound>
  <compound kind="class">
    <name>TAO_Security_Current</name>
    <filename>a01539.html</filename>
    <base>SecurityLevel2::Current</base>
    <base>TAO_Local_RefCounted_Object</base>
    <member kind="function">
      <type></type>
      <name>TAO_Security_Current</name>
      <anchorfile>a01539.html</anchorfile>
      <anchor>0069176f5ff85e282c0e7332b50f8539</anchor>
      <arglist>(size_t tss_slot, const char *orb_id)</arglist>
    </member>
    <member kind="function">
      <type>size_t</type>
      <name>tss_slot</name>
      <anchorfile>a01539.html</anchorfile>
      <anchor>5ca9303a2ab0453c724039e0990e127d</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Security::AttributeList *</type>
      <name>get_attributes</name>
      <anchorfile>a01539.html</anchorfile>
      <anchor>d0dfa380a651ffec87430b96647ef5f9</anchor>
      <arglist>(const Security::AttributeTypeList &amp;attributes)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel2::ReceivedCredentials_ptr</type>
      <name>received_credentials</name>
      <anchorfile>a01539.html</anchorfile>
      <anchor>fa03c938cc82581e16e9147fa7ac0cdb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>~TAO_Security_Current</name>
      <anchorfile>a01539.html</anchorfile>
      <anchor>b41503ee9912f26407c1d840caede8d1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>init</name>
      <anchorfile>a01539.html</anchorfile>
      <anchor>1a6aeea6299b6cf8003fd98900807d7e</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>TAO::Security::Current_Impl *</type>
      <name>implementation</name>
      <anchorfile>a01539.html</anchorfile>
      <anchor>60f0ec40c5f9b82372b68e9d050d3dc6</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>TAO_Security_Current</name>
      <anchorfile>a01539.html</anchorfile>
      <anchor>5f55d78325a3c9c33b488cc5afcc7349</anchor>
      <arglist>(const TAO_Security_Current &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>operator=</name>
      <anchorfile>a01539.html</anchorfile>
      <anchor>9da3123c1b5ec77eac6b84cff5771840</anchor>
      <arglist>(const TAO_Security_Current &amp;)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>size_t const</type>
      <name>tss_slot_</name>
      <anchorfile>a01539.html</anchorfile>
      <anchor>12e46a552cceb8685972999e29d30cfb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>CORBA::String_var</type>
      <name>orb_id_</name>
      <anchorfile>a01539.html</anchorfile>
      <anchor>a0076cec5e80ec1df3b5bef6f5b0dd31</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>TAO_ORB_Core *</type>
      <name>orb_core_</name>
      <anchorfile>a01539.html</anchorfile>
      <anchor>78b7e6739834b63ff0590c46ddadeb31</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>CSI</name>
    <filename>a01580.html</filename>
  </compound>
  <compound kind="namespace">
    <name>Security</name>
    <filename>a01581.html</filename>
    <class kind="struct">Security::ExtensibleFamily</class>
    <class kind="struct">Security::AttributeType</class>
    <class kind="struct">Security::SecAttribute</class>
    <class kind="struct">Security::Right</class>
    <class kind="struct">Security::ChannelBindings</class>
    <class kind="struct">Security::OpaqueBuffer</class>
    <class kind="struct">Security::OptionsDirectionPair</class>
    <class kind="struct">Security::MechandOptions</class>
    <class kind="struct">Security::EstablishTrust</class>
    <class kind="struct">Security::AuditEventType</class>
    <class kind="struct">Security::SelectorValue</class>
    <member kind="typedef">
      <type>string</type>
      <name>SecurityName</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>814219bb218545dc0fefd45c538f45bf</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; octet &gt;</type>
      <name>Opaque</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>9e7d2286276df722b9d3940c5b6b4e6a</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; octet &gt;</type>
      <name>OID</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>1a296d03d8bfad210cfff865818da770</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; OID &gt;</type>
      <name>OIDList</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>5e8a12d0c2bc1811a866e8b1c23c679d</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned long</type>
      <name>SecurityAttributeType</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>a68d6b64087d5fc5d7e07de0b8b89c12</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; AttributeType &gt;</type>
      <name>AttributeTypeList</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>63a4a68f048ef9b04a6c7f9d48539e61</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; SecAttribute &gt;</type>
      <name>AttributeList</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>c503c63b0b8f86d21b2e0cbc4bc57505</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned long</type>
      <name>AuthenticationMethod</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>d29e4766ec479e8098aec63f0eb15cd4</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; AuthenticationMethod &gt;</type>
      <name>AuthenticationMethodList</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>0d504794c71f6bd7aabdfff9d05adf95</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; Right &gt;</type>
      <name>RightsList</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>129cfbd5ab99840ef31674cf03e27c36</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TimeBase::UtcT</type>
      <name>UtcT</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>4a02248e60b4e0cffda1a29a6641b631</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TimeBase::IntervalT</type>
      <name>IntervalT</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>2cb279415f44d445dbb19d027b27482a</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TimeBase::TimeT</type>
      <name>TimeT</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>54d033d2c6cee8231b5b9b0e2d578b77</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned short</type>
      <name>AssociationOptions</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>d71b86238d95e7c924a8586e3dbdd073</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>string</type>
      <name>MechanismType</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>4e4216db85330e0b4d358fe24cb44275</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; MechanismType &gt;</type>
      <name>MechanismTypeList</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>b832003f55495fe397c5507ac4b95eed</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; OptionsDirectionPair &gt;</type>
      <name>OptionsDirectionPairList</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>55de4cff215f4357a39c7ad3afcd03b6</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; MechandOptions &gt;</type>
      <name>MechandOptionsList</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>8c6ad5e7da98e688a3357a1dce063f88</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned long</type>
      <name>AuditChannelId</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>a8d182ca92bdcf7c3f86ee7e6263fd6a</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned short</type>
      <name>_EventType</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>72aca80b01702b155d49d7add7bd77a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; AuditEventType &gt;</type>
      <name>AuditEventTypeList</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>dfb3d5be6c19bbc4856c259f84663833</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned long</type>
      <name>SelectorType</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>e0607f1f9959eea4267d0c53ae300e60</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; SelectorValue &gt;</type>
      <name>SelectorValueList</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>919731dd2609df326162e90a77c49dfd</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>AuthenticationStatus</name>
      <anchor>902e0ae6d8e5c75860330f6493c13a8a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAuthSuccess</name>
      <anchor>902e0ae6d8e5c75860330f6493c13a8ad7c7cabafe24aeb529c0e8f841941819</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAuthFailure</name>
      <anchor>902e0ae6d8e5c75860330f6493c13a8a5297e558ca2e0c397efe48a551a144a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAuthContinue</name>
      <anchor>902e0ae6d8e5c75860330f6493c13a8aff3afa4c43b541e35ee8063b9388c743</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAuthExpired</name>
      <anchor>902e0ae6d8e5c75860330f6493c13a8ae2674173e9ebb3a72a4d5be43b9c2f19</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>AssociationStatus</name>
      <anchor>47716162ec545e5c373f62d97fe332b3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAssocSuccess</name>
      <anchor>47716162ec545e5c373f62d97fe332b33f03adc2380ec229500747e462b6275d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAssocFailure</name>
      <anchor>47716162ec545e5c373f62d97fe332b3ca30ed96f67b340c7388d5ccf7ed1609</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAssocContinue</name>
      <anchor>47716162ec545e5c373f62d97fe332b3cb49e8ebb09d17ce18e136a4fe37c3a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>InvocationCredentialsType</name>
      <anchor>2eb60461eb4d3fb038f88209f68f4532</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecOwnCredentials</name>
      <anchor>2eb60461eb4d3fb038f88209f68f4532203718e5795d8ff48366d4809f81a649</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecReceivedCredentials</name>
      <anchor>2eb60461eb4d3fb038f88209f68f453281793c12bd5fd6df7f6baaa587a81f84</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecTargetCredentials</name>
      <anchor>2eb60461eb4d3fb038f88209f68f453202e48f86c147b945862f2e8eb0ad6498</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>RightsCombinator</name>
      <anchor>adb0bc6b745a0b7d907c84a24a4bc9f8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAllRights</name>
      <anchor>adb0bc6b745a0b7d907c84a24a4bc9f8b8972842d1e52cfed39820e29cb30477</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAnyRight</name>
      <anchor>adb0bc6b745a0b7d907c84a24a4bc9f801c215c32c544de5e16c8c3faf1d936d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>DelegationState</name>
      <anchor>405a71f64c00de5147068346a36c1420</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecInitiator</name>
      <anchor>405a71f64c00de5147068346a36c1420554b1359f86c7a41eaa454b20bad7754</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDelegate</name>
      <anchor>405a71f64c00de5147068346a36c1420d98cadc993ce5fb76ee91ed16cd909e3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>DelegationDirective</name>
      <anchor>f36b20396cc8d441a3ce40ef6a3145e1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Delegate</name>
      <anchor>f36b20396cc8d441a3ce40ef6a3145e1c09a5e13de8e9837779b6e269718f8ea</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NoDelegate</name>
      <anchor>f36b20396cc8d441a3ce40ef6a3145e100f1b9fde0639747c4fc31f7fe3f2d95</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>SecurityFeature</name>
      <anchor>fc242406aa54378995ef5cf2179bca47</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecNoDelegation</name>
      <anchor>fc242406aa54378995ef5cf2179bca4705af0a989da771158da21ba1716487ec</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecSimpleDelegation</name>
      <anchor>fc242406aa54378995ef5cf2179bca479a55eac5a829fc5dd7af829fa11da0a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecCompositeDelegation</name>
      <anchor>fc242406aa54378995ef5cf2179bca4711f2e080863235e2c559a3500772903e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecNoProtection</name>
      <anchor>fc242406aa54378995ef5cf2179bca47e3686e487188243586216bb8673349ec</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecIntegrity</name>
      <anchor>fc242406aa54378995ef5cf2179bca473f80730300e34c331b4ab264f66d13f5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecConfidentiality</name>
      <anchor>fc242406aa54378995ef5cf2179bca47dd6c3c69fe72ca0d8e500f13b6efaf4b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecIntegrityAndConfidentiality</name>
      <anchor>fc242406aa54378995ef5cf2179bca470f2571a459a363152efb9ebb8990674e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDetectReplay</name>
      <anchor>fc242406aa54378995ef5cf2179bca47b4b8f4f584b53c438a906be2ff9da327</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDetectMisordering</name>
      <anchor>fc242406aa54378995ef5cf2179bca4753efd45732f42349c091548f93a62fd1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecEstablishTrustInTarget</name>
      <anchor>fc242406aa54378995ef5cf2179bca47c5b3ccb9b4ea380ef95e79f0513cf08a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecEstablishTrustInClient</name>
      <anchor>fc242406aa54378995ef5cf2179bca47bc355029cc656bbb1509400ab1b01adf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>QOP</name>
      <anchor>073e09cbda5392fc74ae74021f88bf80</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecQOPNoProtection</name>
      <anchor>073e09cbda5392fc74ae74021f88bf8012ab9b5c46966d66cd87198863d12e2f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecQOPIntegrity</name>
      <anchor>073e09cbda5392fc74ae74021f88bf8065b8fa78a2b9edbaefa15ab3bf3bf64e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecQOPConfidentiality</name>
      <anchor>073e09cbda5392fc74ae74021f88bf80b8cd828a175a596be8d9f0beccfc9c85</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecQOPIntegrityAndConfidentiality</name>
      <anchor>073e09cbda5392fc74ae74021f88bf804ae008a66d11dc834b61217791a4b47e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>SecurityContextType</name>
      <anchor>3cdea22e03fab68b80000d1b8aa7c90f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecClientSecurityContext</name>
      <anchor>3cdea22e03fab68b80000d1b8aa7c90f2e06eedaef7733db442e7e0698693051</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecServerSecurityContext</name>
      <anchor>3cdea22e03fab68b80000d1b8aa7c90f75d8a207ee6df22fbd8bf050e3cae623</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>SecurityContextState</name>
      <anchor>f303052ab4e97e321b67f873289496fa</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecContextInitialized</name>
      <anchor>f303052ab4e97e321b67f873289496faee9c6dbcd3c511d4c07cfc45bcd667d7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecContextContinued</name>
      <anchor>f303052ab4e97e321b67f873289496fafa829b34a2963c71c028063312381531</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecContextClientEstablished</name>
      <anchor>f303052ab4e97e321b67f873289496fa4a3bc9b62d2203806ff5e99ff0712e2e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecContextEstablished</name>
      <anchor>f303052ab4e97e321b67f873289496fa4f4a600544ad9aa999ad15b302ff9a43</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecContextEstablishExpired</name>
      <anchor>f303052ab4e97e321b67f873289496fad057375d8e8b98a0a65f856faba6df92</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecContextExpired</name>
      <anchor>f303052ab4e97e321b67f873289496fa3a1457083753dd1673d98d5b97c3d0fa</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecContextInvalid</name>
      <anchor>f303052ab4e97e321b67f873289496fa1653de6e73eddc9575a7274e9206151d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>RequiresSupports</name>
      <anchor>77d3aaa9870f7672930ca3dbb708b688</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecRequires</name>
      <anchor>77d3aaa9870f7672930ca3dbb708b6880cb5d7008a7a91f44b58a3900eb875f5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecSupports</name>
      <anchor>77d3aaa9870f7672930ca3dbb708b68889efe2b976370854a6a02aff8d2b7029</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>CommunicationDirection</name>
      <anchor>4bb32de232dd9e06a30a70e9589d7088</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDirectionBoth</name>
      <anchor>4bb32de232dd9e06a30a70e9589d708874710bc7690c589f0cb09b210fcb8a07</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDirectionRequest</name>
      <anchor>4bb32de232dd9e06a30a70e9589d7088af8d99c84e66d9178bc88f9158cc5587</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDirectionReply</name>
      <anchor>4bb32de232dd9e06a30a70e9589d7088ffd6a96de1fabc485e04a85b16c3ef51</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>DelegationMode</name>
      <anchor>575f5d912b2c607c448c1ce606b09006</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDelModeNoDelegation</name>
      <anchor>575f5d912b2c607c448c1ce606b09006941bc5514e5845a216adb7d320d7910f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDelModeSimpleDelegation</name>
      <anchor>575f5d912b2c607c448c1ce606b090068b1a277314bbf2f3f72d1c8e8d787163</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDelModeCompositeDelegation</name>
      <anchor>575f5d912b2c607c448c1ce606b090066ab667f0d04deab52512f133acb4699f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>DayOfTheWeek</name>
      <anchor>2d2a6a09acfdfacdd605a47c7268e864</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Monday</name>
      <anchor>2d2a6a09acfdfacdd605a47c7268e864861dd14a83baf5cf1dc8f35aa8eb499d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Tuesday</name>
      <anchor>2d2a6a09acfdfacdd605a47c7268e864356d7c0315fcbffde870fd281eb4aba1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Wednesday</name>
      <anchor>2d2a6a09acfdfacdd605a47c7268e864cd0f48524075b8bb45027832508efc1a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Thursday</name>
      <anchor>2d2a6a09acfdfacdd605a47c7268e864b97fb1a45c65ff9b4f09590f9a996567</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Friday</name>
      <anchor>2d2a6a09acfdfacdd605a47c7268e8642555a5b87edb1ca6b5bdadf1fb332d30</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Saturday</name>
      <anchor>2d2a6a09acfdfacdd605a47c7268e864abc9f82b19b5256d56329619c14970aa</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Sunday</name>
      <anchor>2d2a6a09acfdfacdd605a47c7268e8647afa7ce7e3d0168c110b52872cf805a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>AuditCombinator</name>
      <anchor>00aa89384337490fb19f2e52cdc4e35d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAllSelectors</name>
      <anchor>00aa89384337490fb19f2e52cdc4e35d738469ee963bb531352515045cb60fed</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAnySelector</name>
      <anchor>00aa89384337490fb19f2e52cdc4e35d6915ff078303ef677fcef36a34474210</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>SecurityLevel1</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>1cea252d14164afc7cfbb60f63544e34</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>SecurityLevel2</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>f78bbc6c226cec1741d6f197c1043bc6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>NonRepudiation</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>084cc14839aadb37990ffcda2e4182a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>SecurityORBServiceReady</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>da76accf440b75704795700611166e64</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>SecurityServiceReady</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>8cf09c785fd56878e140d342fbef7d7e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>ReplaceORBServices</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>97f36645e59180256b1162a3a8692cfe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>ReplaceSecurityServices</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>7642dfb20aab0fa9da49b59ba07e55d3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>StandardSecureInteroperability</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>122cea8a328d8daa7e34722a299667f8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>DCESecureInteroperability</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>bd15cd10d2346f6775c5debbac797e56</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>CommonInteroperabilityLevel0</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>52fdeb7561d839e30dfbd2c857a9540a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>CommonInteroperabilityLevel1</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>196ccdec04b2a8de3c28ee72c5268292</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>CommonInteroperabilityLevel2</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>f5a3f1e90e43d7355b5c6cc4a0407175</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceDetailType</type>
      <name>SecurityMechanismType</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>306c4b720941b388ab864b2566fdd0e0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceDetailType</type>
      <name>SecurityAttribute</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>884d82f6cf8ca496201fa62647014c0c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>AuditId</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>d6b21b0af7c2a74004696af698fcfd1c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>AccountingId</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>1d12c424b8dc89e578e79bbf25ae5e7d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>NonRepudiationId</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>ccadcfbe338cda80429bda974be5ecfc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>_Public</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>3ad02154abaf58997b6faa038c1fe154</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>AccessId</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>fea8b81722d79f0e21044d8cf91b5882</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>PrimaryGroupId</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>7a3c5411cae371113775754a4e72eed0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>GroupId</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>47ccb46ab789169a0b388773aa551e1b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>Role</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>de24b647d3a48453e180714b15f8a122</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>AttributeSet</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>e7878d70b7ec64844ddcd057520da5d8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>Clearance</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>dcde55f9d70624f2342f5c3703ecddb2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>Capability</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>ce9fc26905f548af65a6c6f110cf55c0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>NoProtection</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>9f53bddf070ee17a9c3e7284c0d93bd9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>Integrity</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>a0183da885880bdbd81496312e642313</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>Confidentiality</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>690ee03cb35a64776845ef01a3a08ba6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>DetectReplay</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>59b18a6d230cf6e265e7227ae9b1507f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>DetectMisordering</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>50f74ada82c28d697631cd5b81c7bc54</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>EstablishTrustInTarget</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>1b01bf661ea2e933f930a360ad5d12de</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>EstablishTrustInClient</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>0d9a9af6ea7207c39e93212936462da2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>NoDelegation</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>8cb7d50c00f4696f3a5a23b69c83a331</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>SimpleDelegation</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>ece687db2463dff13648b8bf06dedbf0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>CompositeDelegation</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>68a9a195e988d6bde09c3d067c9ed046</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditAll</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>273b8517a26bd08251e2c6695f37b589</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditPrincipalAuth</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>6ee1444f2b741d841f2b399580c58569</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditSessionAuth</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>d85266b93ac6745c145c7d991b189523</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditAuthorization</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>ac77b93f02dda47ee38767c78cdf7fd4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditInvocation</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>020f30c383bd10dbb84a164644dbe639</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditSecEnvChange</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>e1a03cd01d7c3fae784be4f4f6004215</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditPolicyChange</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>e95bf8a094064d0be21de0ed66e4a17f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditObjectCreation</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>59523e3885345da8ded0a16c2910d127</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditObjectDestruction</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>b2c1389b202113ab9e35c1a2e7d6797c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditNonRepudiation</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>db1caf1e91f1ddf14412afa2f4982da1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SelectorType</type>
      <name>InterfaceName</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>64803b6331d95c3d487c49e442be22dd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SelectorType</type>
      <name>ObjectRef</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>cca69c1f3caeb1c2e37da272b575ffa2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SelectorType</type>
      <name>Operation</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>de3890630521e85e5840b2bf1baedd20</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SelectorType</type>
      <name>Initiator</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>15d76eb03ed9987adf0a87b39f8a3312</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SelectorType</type>
      <name>SuccessFailure</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>66f725444a764bb39c95bf4ba3576618</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SelectorType</type>
      <name>Time</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>688b1fb8d5bc2d6e153c82ebef608b51</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SelectorType</type>
      <name>DayOfWeek</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>771eaae26d5b8415526ab4c0fda2cc0b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecClientInvocationAccess</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>7912e63565d4024494df13349e6fb122</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecTargetInvocationAccess</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>d99c620715b9cec199e89b49c37c2b17</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecApplicationAccess</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>399382442f7f2a2f33f1df7443dfbdea</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecClientInvocationAudit</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>f54c71d0b6af9961315fefcc4aa8f631</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecTargetInvocationAudit</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>3439983ee508145aa8a6d2fe56144798</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecApplicationAudit</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>2f00bfc6ac82a61f06e9430844782f24</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecDelegation</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>b331958f23a6b2378ae6f221c01a0459</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecClientSecureInvocation</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>ac22a541a3535fcb8f017f393e25c963</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecTargetSecureInvocation</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>328907c33bd84334aef2aed1daa7f58c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecNonRepudiation</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>97d40ad61e1d795eaaf7b4e33f87dee0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecMechanismsPolicy</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>ac400e8fc689ad4db1c7854d5f048544</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecInvocationCredentialsPolicy</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>bb446d9cded69839ed6605dc11392493</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecFeaturePolicy</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>ed1143fb17c168f0838eec29798da87f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecQOPPolicy</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>d45cad05a98127714f57fa2ec26234a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecDelegationDirectivePolicy</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>4b764af5c187c8adcb02bfa1b52d19ea</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecEstablishTrustPolicy</name>
      <anchorfile>a01581.html</anchorfile>
      <anchor>5310e19f86da9f7e51e96e071af42205</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>Security::ExtensibleFamily</name>
    <filename>a01513.html</filename>
    <member kind="variable">
      <type>unsigned short</type>
      <name>family_definer</name>
      <anchorfile>a01513.html</anchorfile>
      <anchor>9028febc60f6754b6514c49052292e0e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned short</type>
      <name>family</name>
      <anchorfile>a01513.html</anchorfile>
      <anchor>f0206c84c61c2ddce956a3145fe5d265</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>Security::AttributeType</name>
    <filename>a01494.html</filename>
    <member kind="variable">
      <type>ExtensibleFamily</type>
      <name>attribute_family</name>
      <anchorfile>a01494.html</anchorfile>
      <anchor>1d17d4d72e0873dadbd0f73dab6920c5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>SecurityAttributeType</type>
      <name>attribute_type</name>
      <anchorfile>a01494.html</anchorfile>
      <anchor>e7c575a62a2a15ae668a01c80a915bda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>Security::SecAttribute</name>
    <filename>a01531.html</filename>
    <member kind="variable">
      <type>AttributeType</type>
      <name>attribute_type</name>
      <anchorfile>a01531.html</anchorfile>
      <anchor>a99295b3e8d244456221d3c6e3a46f52</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>OID</type>
      <name>defining_authority</name>
      <anchorfile>a01531.html</anchorfile>
      <anchor>999240cdd0fff22b886a0e180039cd30</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Opaque</type>
      <name>value</name>
      <anchorfile>a01531.html</anchorfile>
      <anchor>959d0a3960b51af0a8243567b6243c7c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>Security::Right</name>
    <filename>a01530.html</filename>
    <member kind="variable">
      <type>ExtensibleFamily</type>
      <name>rights_family</name>
      <anchorfile>a01530.html</anchorfile>
      <anchor>4f7fd3837b6c41a2a7cb6e33528282fa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>string</type>
      <name>the_right</name>
      <anchorfile>a01530.html</anchorfile>
      <anchor>4fd493ddb78469b197fc0a2a2820f6d0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>Security::ChannelBindings</name>
    <filename>a01500.html</filename>
    <member kind="variable">
      <type>unsigned long</type>
      <name>initiator_addrtype</name>
      <anchorfile>a01500.html</anchorfile>
      <anchor>20920d3a2eaec82247b189e70c1e80dc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>CORBA::OctetSeq</type>
      <name>initiator_address</name>
      <anchorfile>a01500.html</anchorfile>
      <anchor>2ad608fb880a749506f619aed23f0805</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned long</type>
      <name>acceptor_addrtype</name>
      <anchorfile>a01500.html</anchorfile>
      <anchor>15dc74fc1f9564a1442eefceff372b0e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>CORBA::OctetSeq</type>
      <name>acceptor_address</name>
      <anchorfile>a01500.html</anchorfile>
      <anchor>f05efcd0ef204a967dd0c48bf0c40120</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>CORBA::OctetSeq</type>
      <name>application_data</name>
      <anchorfile>a01500.html</anchorfile>
      <anchor>37eb6e04602e33d3958e2c774e8d1b67</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>Security::OpaqueBuffer</name>
    <filename>a01519.html</filename>
    <member kind="variable">
      <type>Opaque</type>
      <name>buffer</name>
      <anchorfile>a01519.html</anchorfile>
      <anchor>441aabda2257c65c54c82d932b969e3f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned long</type>
      <name>startpos</name>
      <anchorfile>a01519.html</anchorfile>
      <anchor>c1b8cea80d90c180dd73d70027e82255</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned long</type>
      <name>endpos</name>
      <anchorfile>a01519.html</anchorfile>
      <anchor>d4fd651ff6db7ee5c1556b4436f69c6a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>Security::OptionsDirectionPair</name>
    <filename>a01520.html</filename>
    <member kind="variable">
      <type>AssociationOptions</type>
      <name>options</name>
      <anchorfile>a01520.html</anchorfile>
      <anchor>bed258737a96fec4e606c71e800352af</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>CommunicationDirection</type>
      <name>direction</name>
      <anchorfile>a01520.html</anchorfile>
      <anchor>f2d3a06bfd121659bf6eb838a11d145c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>Security::MechandOptions</name>
    <filename>a01515.html</filename>
    <member kind="variable">
      <type>MechanismType</type>
      <name>mechanism_type</name>
      <anchorfile>a01515.html</anchorfile>
      <anchor>7dcbfe56b80134dcefe292278b7fb39b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>AssociationOptions</type>
      <name>options_supported</name>
      <anchorfile>a01515.html</anchorfile>
      <anchor>12da06279f637c5a04837c7fc98551c3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>Security::EstablishTrust</name>
    <filename>a01510.html</filename>
    <member kind="variable">
      <type>boolean</type>
      <name>trust_in_client</name>
      <anchorfile>a01510.html</anchorfile>
      <anchor>0ac04bcaff032a31d02925bf184e9bbc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boolean</type>
      <name>trust_in_target</name>
      <anchorfile>a01510.html</anchorfile>
      <anchor>500b764149ad89823ccefba9d2d3eaa0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>Security::AuditEventType</name>
    <filename>a01499.html</filename>
    <member kind="variable">
      <type>ExtensibleFamily</type>
      <name>event_family</name>
      <anchorfile>a01499.html</anchorfile>
      <anchor>8297c2323142f5d51e56783efb8f4338</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>_EventType</type>
      <name>event_type</name>
      <anchorfile>a01499.html</anchorfile>
      <anchor>fce9a6b86464cc1a06840b1607491356</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>Security::SelectorValue</name>
    <filename>a01537.html</filename>
    <member kind="variable">
      <type>SelectorType</type>
      <name>selector</name>
      <anchorfile>a01537.html</anchorfile>
      <anchor>4029b4624f136885258f5197f8da0a63</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>any</type>
      <name>value</name>
      <anchorfile>a01537.html</anchorfile>
      <anchor>113ac3c2f90ba4e4bada89944368180c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>SecurityLevel1</name>
    <filename>a01582.html</filename>
    <class kind="interface">SecurityLevel1::Current</class>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel1::Current</name>
    <filename>a01506.html</filename>
    <member kind="function">
      <type>Security::AttributeList</type>
      <name>get_attributes</name>
      <anchorfile>a01506.html</anchorfile>
      <anchor>f7298f0e3a2225656d89c79fedb4f61e</anchor>
      <arglist>(in Security::AttributeTypeList attributes)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>SecurityLevel2</name>
    <filename>a01583.html</filename>
    <class kind="interface">SecurityLevel2::PrincipalAuthenticator</class>
    <class kind="interface">SecurityLevel2::Credentials</class>
    <class kind="interface">SecurityLevel2::ReceivedCredentials</class>
    <class kind="interface">SecurityLevel2::TargetCredentials</class>
    <class kind="interface">SecurityLevel2::RequiredRights</class>
    <class kind="interface">SecurityLevel2::AuditChannel</class>
    <class kind="interface">SecurityLevel2::AuditDecision</class>
    <class kind="interface">SecurityLevel2::AccessDecision</class>
    <class kind="interface">SecurityLevel2::QOPPolicy</class>
    <class kind="interface">SecurityLevel2::MechanismPolicy</class>
    <class kind="interface">SecurityLevel2::InvocationCredentialsPolicy</class>
    <class kind="interface">SecurityLevel2::EstablishTrustPolicy</class>
    <class kind="interface">SecurityLevel2::DelegationDirectivePolicy</class>
    <class kind="interface">SecurityLevel2::SecurityManager</class>
    <class kind="interface">SecurityLevel2::Current</class>
    <member kind="typedef">
      <type>sequence&lt; Credentials &gt;</type>
      <name>CredentialsList</name>
      <anchorfile>a01583.html</anchorfile>
      <anchor>cc4d92489ce40a5798f8e587e61c3dbd</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel2::PrincipalAuthenticator</name>
    <filename>a01524.html</filename>
    <member kind="function">
      <type>Security::AuthenticationMethodList</type>
      <name>get_supported_authen_methods</name>
      <anchorfile>a01524.html</anchorfile>
      <anchor>a44c4a1d962db409e2301bfc23232553</anchor>
      <arglist>(in Security::MechanismType mechanism)</arglist>
    </member>
    <member kind="function">
      <type>Security::AuthenticationStatus</type>
      <name>authenticate</name>
      <anchorfile>a01524.html</anchorfile>
      <anchor>3ce5478faf9928b332e75ec958151177</anchor>
      <arglist>(in Security::AuthenticationMethod method, in Security::MechanismType mechanism, in Security::SecurityName security_name, in any auth_data, in Security::AttributeList privileges, out Credentials creds, out any continuation_data, out any auth_specific_data)</arglist>
    </member>
    <member kind="function">
      <type>Security::AuthenticationStatus</type>
      <name>continue_authentication</name>
      <anchorfile>a01524.html</anchorfile>
      <anchor>6a3d111a9c545ccfcb400bd44a8e4c05</anchor>
      <arglist>(in any response_data, in Credentials creds, out any continuation_data, out any auth_specific_data)</arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel2::Credentials</name>
    <filename>a01503.html</filename>
    <member kind="function">
      <type>Credentials</type>
      <name>copy</name>
      <anchorfile>a01503.html</anchorfile>
      <anchor>c702702df2bade32d8f2ff4b8c02a8e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>destroy</name>
      <anchorfile>a01503.html</anchorfile>
      <anchor>f32b7a2cea8d5cab5b28e208a73e0a1b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>get_security_feature</name>
      <anchorfile>a01503.html</anchorfile>
      <anchor>f24bbb617fa5ea1bb8ca76c7a2afaa54</anchor>
      <arglist>(in Security::CommunicationDirection direction, in Security::SecurityFeature feature)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>set_attributes</name>
      <anchorfile>a01503.html</anchorfile>
      <anchor>36704106dda5fe2332739bb538e266bd</anchor>
      <arglist>(in Security::AttributeList requested_attributes, out Security::AttributeList actual_attributes)</arglist>
    </member>
    <member kind="function">
      <type>Security::AttributeList</type>
      <name>get_attributes</name>
      <anchorfile>a01503.html</anchorfile>
      <anchor>f599b0a992f1ec0faf1065b7aac15819</anchor>
      <arglist>(in Security::AttributeTypeList attributes)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>is_valid</name>
      <anchorfile>a01503.html</anchorfile>
      <anchor>866ca4eff2671b62662f5ac9f86d939d</anchor>
      <arglist>(out Security::UtcT expiry_time)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>refresh</name>
      <anchorfile>a01503.html</anchorfile>
      <anchor>40cb30e30d8119439944249ac28c83c0</anchor>
      <arglist>(in any refresh_data)</arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::InvocationCredentialsType</type>
      <name>credentials_type</name>
      <anchorfile>a01503.html</anchorfile>
      <anchor>8630d42c179fa4f4f3c1647adc7ab253</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::AuthenticationStatus</type>
      <name>authentication_state</name>
      <anchorfile>a01503.html</anchorfile>
      <anchor>56dc53f1267951408a25e313f1b51a65</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::MechanismType</type>
      <name>mechanism</name>
      <anchorfile>a01503.html</anchorfile>
      <anchor>da4952f0fe825f61af7ed293f27e6604</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>attribute Security::AssociationOptions</type>
      <name>accepting_options_supported</name>
      <anchorfile>a01503.html</anchorfile>
      <anchor>e4f0d50834dc44a161d1128f9011952e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>attribute Security::AssociationOptions</type>
      <name>accepting_options_required</name>
      <anchorfile>a01503.html</anchorfile>
      <anchor>175a5ccf939e42d1188a04e51efb6603</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>attribute Security::AssociationOptions</type>
      <name>invocation_options_supported</name>
      <anchorfile>a01503.html</anchorfile>
      <anchor>f9b86a2fd5599bd90c85b7afe36a710b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>attribute Security::AssociationOptions</type>
      <name>invocation_options_required</name>
      <anchorfile>a01503.html</anchorfile>
      <anchor>290d1deb0c86c47edf5503817fc92f95</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel2::ReceivedCredentials</name>
    <filename>a01527.html</filename>
    <base>SecurityLevel2::Credentials</base>
    <member kind="variable">
      <type>readonly attribute Credentials</type>
      <name>accepting_credentials</name>
      <anchorfile>a01527.html</anchorfile>
      <anchor>f978006147843573b4879378ed01ab3f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::AssociationOptions</type>
      <name>association_options_used</name>
      <anchorfile>a01527.html</anchorfile>
      <anchor>baa038d86dc9313045cecdec23acb50f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::DelegationState</type>
      <name>delegation_state</name>
      <anchorfile>a01527.html</anchorfile>
      <anchor>30ff709a0dcb3b21e503d8a51d6392ea</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::DelegationMode</type>
      <name>delegation_mode</name>
      <anchorfile>a01527.html</anchorfile>
      <anchor>1a023fcaa8cca36caae7171368421d95</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel2::TargetCredentials</name>
    <filename>a01540.html</filename>
    <base>SecurityLevel2::Credentials</base>
    <member kind="variable">
      <type>readonly attribute Credentials</type>
      <name>initiating_credentials</name>
      <anchorfile>a01540.html</anchorfile>
      <anchor>b4939153841bf408903b552d288131b3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::AssociationOptions</type>
      <name>association_options_used</name>
      <anchorfile>a01540.html</anchorfile>
      <anchor>4ae2c2de1f6e2ebe56ce4ba55f9be2e1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel2::RequiredRights</name>
    <filename>a01528.html</filename>
    <member kind="function">
      <type>void</type>
      <name>get_required_rights</name>
      <anchorfile>a01528.html</anchorfile>
      <anchor>2e10d147ca2273f51bbc9ed04e991569</anchor>
      <arglist>(in Object obj, in CORBA::Identifier operation_name, in CORBA::RepositoryId interface_name, out Security::RightsList rights, out Security::RightsCombinator rights_combinator)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_required_rights</name>
      <anchorfile>a01528.html</anchorfile>
      <anchor>6959f830126eaa01ec4341ec559ba439</anchor>
      <arglist>(in CORBA::Identifier operation_name, in CORBA::RepositoryId interface_name, in Security::RightsList rights, in Security::RightsCombinator rights_combinator)</arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel2::AuditChannel</name>
    <filename>a01495.html</filename>
    <member kind="function">
      <type>void</type>
      <name>audit_write</name>
      <anchorfile>a01495.html</anchorfile>
      <anchor>b2705ec90c47529a154d289e70855d3c</anchor>
      <arglist>(in Security::AuditEventType event_type, in CredentialsList creds, in Security::UtcT time, in Security::SelectorValueList descriptors, in any event_specific_data)</arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::AuditChannelId</type>
      <name>audit_channel_id</name>
      <anchorfile>a01495.html</anchorfile>
      <anchor>d3b9acb6ace9d398d0b5933002960132</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel2::AuditDecision</name>
    <filename>a01497.html</filename>
    <member kind="function">
      <type>boolean</type>
      <name>audit_needed</name>
      <anchorfile>a01497.html</anchorfile>
      <anchor>4692f67c2d52a278268b18e655a39823</anchor>
      <arglist>(in Security::AuditEventType event_type, in Security::SelectorValueList value_list)</arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute AuditChannel</type>
      <name>audit_channel</name>
      <anchorfile>a01497.html</anchorfile>
      <anchor>31370218eb776847b7cc6632ad00d2ef</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel2::AccessDecision</name>
    <filename>a01492.html</filename>
    <member kind="function">
      <type>boolean</type>
      <name>access_allowed</name>
      <anchorfile>a01492.html</anchorfile>
      <anchor>5af44518fe0ab11303f4d2f489eb6d36</anchor>
      <arglist>(in SecurityLevel2::CredentialsList cred_list, in Object target, in CORBA::Identifier operation_name, in CORBA::Identifier target_interface_name)</arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel2::QOPPolicy</name>
    <filename>a01525.html</filename>
    <base>CORBA::Policy</base>
    <member kind="variable">
      <type>readonly attribute Security::QOP</type>
      <name>qop</name>
      <anchorfile>a01525.html</anchorfile>
      <anchor>7cec83e914c0d2bd4365fe3c3089cdd2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel2::MechanismPolicy</name>
    <filename>a01516.html</filename>
    <base>CORBA::Policy</base>
    <member kind="variable">
      <type>readonly attribute Security::MechanismTypeList</type>
      <name>mechanisms</name>
      <anchorfile>a01516.html</anchorfile>
      <anchor>cc96d05f5b67bb92e830754cd310ed96</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel2::InvocationCredentialsPolicy</name>
    <filename>a01514.html</filename>
    <base>CORBA::Policy</base>
    <member kind="variable">
      <type>readonly attribute CredentialsList</type>
      <name>creds</name>
      <anchorfile>a01514.html</anchorfile>
      <anchor>3b7ca3a02f20da5fd7e53fb0063ddd4f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel2::EstablishTrustPolicy</name>
    <filename>a01512.html</filename>
    <base>CORBA::Policy</base>
    <member kind="variable">
      <type>readonly attribute Security::EstablishTrust</type>
      <name>trust</name>
      <anchorfile>a01512.html</anchorfile>
      <anchor>84f50f14d8f94663773a4113a2e21416</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel2::DelegationDirectivePolicy</name>
    <filename>a01509.html</filename>
    <base>CORBA::Policy</base>
    <member kind="variable">
      <type>readonly attribute Security::DelegationDirective</type>
      <name>delegation_directive</name>
      <anchorfile>a01509.html</anchorfile>
      <anchor>715e131d15c72364a227852a1263f62f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel2::SecurityManager</name>
    <filename>a01536.html</filename>
    <member kind="function">
      <type>TargetCredentials</type>
      <name>get_target_credentials</name>
      <anchorfile>a01536.html</anchorfile>
      <anchor>a509090ac0f999f8b6da4f95f37299a3</anchor>
      <arglist>(in Object obj_ref)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>remove_own_credentials</name>
      <anchorfile>a01536.html</anchorfile>
      <anchor>1e9f0b6955a96b357095ac9697c2de65</anchor>
      <arglist>(in Credentials creds)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Policy</type>
      <name>get_security_policy</name>
      <anchorfile>a01536.html</anchorfile>
      <anchor>3c2b9811d57425c3a277f8df1e500177</anchor>
      <arglist>(in CORBA::PolicyType policy_type)</arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::MechandOptionsList</type>
      <name>supported_mechanisms</name>
      <anchorfile>a01536.html</anchorfile>
      <anchor>88f5db0c37a0ed8f2597b0ac748d6c27</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute CredentialsList</type>
      <name>own_credentials</name>
      <anchorfile>a01536.html</anchorfile>
      <anchor>bb77bc70f5c5dee7c695e17f1b112005</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute RequiredRights</type>
      <name>required_rights_object</name>
      <anchorfile>a01536.html</anchorfile>
      <anchor>1e62dec784af4f2c46b1bf5feb09a8c5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute PrincipalAuthenticator</type>
      <name>principal_authenticator</name>
      <anchorfile>a01536.html</anchorfile>
      <anchor>9bead2da0fea6b397596869e5067d06c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute AccessDecision</type>
      <name>access_decision</name>
      <anchorfile>a01536.html</anchorfile>
      <anchor>e17ae1e701e684a0161a330fa1abcfd3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute AuditDecision</type>
      <name>audit_decision</name>
      <anchorfile>a01536.html</anchorfile>
      <anchor>70fedd49e29912a1ea82f69a6ae3e9a8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel2::Current</name>
    <filename>a01507.html</filename>
    <base>SecurityLevel1::Current</base>
    <member kind="variable">
      <type>readonly attribute ReceivedCredentials</type>
      <name>received_credentials</name>
      <anchorfile>a01507.html</anchorfile>
      <anchor>c89f62c28fbebf8ca4c53be57f3ba75b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>SecurityReplaceable</name>
    <filename>a01584.html</filename>
    <class kind="interface">SecurityReplaceable::Vault</class>
    <class kind="interface">SecurityReplaceable::SecurityContext</class>
    <class kind="interface">SecurityReplaceable::ClientSecurityContext</class>
    <class kind="interface">SecurityReplaceable::ServerSecurityContext</class>
    <class kind="interface">SecurityReplaceable::RequiredRights</class>
    <class kind="interface">SecurityReplaceable::AuditChannel</class>
    <class kind="interface">SecurityReplaceable::AuditDecision</class>
    <class kind="interface">SecurityReplaceable::AccessDecision</class>
  </compound>
  <compound kind="interface">
    <name>SecurityReplaceable::Vault</name>
    <filename>a01541.html</filename>
    <member kind="function">
      <type>Security::AuthenticationMethodList</type>
      <name>get_supported_authen_methods</name>
      <anchorfile>a01541.html</anchorfile>
      <anchor>ce2073f53dbbeace80d7b319c673a5e2</anchor>
      <arglist>(in Security::MechanismType mechanism)</arglist>
    </member>
    <member kind="function">
      <type>Security::AuthenticationStatus</type>
      <name>acquire_credentials</name>
      <anchorfile>a01541.html</anchorfile>
      <anchor>4a8b6f3005b4c2eb9d485a8d3f827dda</anchor>
      <arglist>(in Security::AuthenticationMethod method, in Security::MechanismType mechanism, in Security::SecurityName security_name, in any auth_data, in Security::AttributeList privileges, out SecurityLevel2::Credentials creds, out any continuation_data, out any auth_specific_data)</arglist>
    </member>
    <member kind="function">
      <type>Security::AuthenticationStatus</type>
      <name>continue_credentials_acquisition</name>
      <anchorfile>a01541.html</anchorfile>
      <anchor>f7136a5cd86e203143ee87db09b83b24</anchor>
      <arglist>(in any response_data, in SecurityLevel2::Credentials creds, out any continuation_data, out any auth_specific_data)</arglist>
    </member>
    <member kind="function">
      <type>IOP::TaggedComponentList</type>
      <name>create_ior_components</name>
      <anchorfile>a01541.html</anchorfile>
      <anchor>55317592b4cfb683e148c875e2453b64</anchor>
      <arglist>(in SecurityLevel2::Credentials creds_list)</arglist>
    </member>
    <member kind="function">
      <type>Security::AssociationStatus</type>
      <name>init_security_context</name>
      <anchorfile>a01541.html</anchorfile>
      <anchor>c383c057b30e626cbd6529904389e33d</anchor>
      <arglist>(in SecurityLevel2::Credentials creds, in Security::SecurityName target_security_name, in Object target, in Security::DelegationMode delegation_mode, in Security::OptionsDirectionPairList association_options, in Security::MechanismType mechanism, in Security::Opaque comp_data, in Security::ChannelBindings chan_binding, out Security::OpaqueBuffer security_token, out ClientSecurityContext security_context)</arglist>
    </member>
    <member kind="function">
      <type>Security::AssociationStatus</type>
      <name>accept_security_context</name>
      <anchorfile>a01541.html</anchorfile>
      <anchor>188fc526621f1e01f820ac39de797e33</anchor>
      <arglist>(in SecurityLevel2::CredentialsList creds_list, in Security::ChannelBindings chan_bindings, in Security::Opaque in_token, out Security::Opaque out_token)</arglist>
    </member>
    <member kind="function">
      <type>Security::MechandOptionsList</type>
      <name>get_supported_mechs</name>
      <anchorfile>a01541.html</anchorfile>
      <anchor>4ab6d938c228b4b72fdb08cb33f01176</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::OIDList</type>
      <name>supported_mech_oids</name>
      <anchorfile>a01541.html</anchorfile>
      <anchor>a721eaff73b0fc561579d14cc37fb210</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityReplaceable::SecurityContext</name>
    <filename>a01532.html</filename>
    <member kind="function">
      <type>Security::AssociationStatus</type>
      <name>continue_security_context</name>
      <anchorfile>a01532.html</anchorfile>
      <anchor>4817b05180c60931f248099624ea44f2</anchor>
      <arglist>(in Security::OpaqueBuffer in_token, out Security::OpaqueBuffer out_token)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>protect_message</name>
      <anchorfile>a01532.html</anchorfile>
      <anchor>de15200c15d0239b1c5c08aec777c236</anchor>
      <arglist>(in Security::OpaqueBuffer message, in Security::QOP qop, out Security::OpaqueBuffer text_buffer, out Security::OpaqueBuffer token)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>reclaim_message</name>
      <anchorfile>a01532.html</anchorfile>
      <anchor>9f71aba6f091bbd78d59af267e39b6d1</anchor>
      <arglist>(in Security::Opaque text_buffer, in Security::Opaque token, out Security::QOP qop, out Security::Opaque message)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>is_valid</name>
      <anchorfile>a01532.html</anchorfile>
      <anchor>3917a9905cb49a2fb5e008f15320e7f6</anchor>
      <arglist>(out Security::UtcT expiry_time)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>discard_security_context</name>
      <anchorfile>a01532.html</anchorfile>
      <anchor>917161ceeca622b73677a1042cb8b3af</anchor>
      <arglist>(in Security::Opaque discard_data, out Security::OpaqueBuffer out_token)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>process_discard_token</name>
      <anchorfile>a01532.html</anchorfile>
      <anchor>dafa00c59e87a388b9060bd4073a0007</anchor>
      <arglist>(in Security::OpaqueBuffer discard_token)</arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::SecurityContextType</type>
      <name>context_type</name>
      <anchorfile>a01532.html</anchorfile>
      <anchor>7f6814e17efe582b76629ba2cea2d1d1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::SecurityContextState</type>
      <name>context_state</name>
      <anchorfile>a01532.html</anchorfile>
      <anchor>8fc77da463c42404bd642e735d02b6b2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::MechanismType</type>
      <name>mechanism</name>
      <anchorfile>a01532.html</anchorfile>
      <anchor>67f751109f24681f201a7d96f2579764</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::ChannelBindings</type>
      <name>chan_binding</name>
      <anchorfile>a01532.html</anchorfile>
      <anchor>687912579ab1665af70aa5021f07f4ec</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute SecurityLevel2::ReceivedCredentials</type>
      <name>received_credentials</name>
      <anchorfile>a01532.html</anchorfile>
      <anchor>97ccc925bc806508dafc64e2594a2fcf</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityReplaceable::ClientSecurityContext</name>
    <filename>a01501.html</filename>
    <base>SecurityReplaceable::SecurityContext</base>
    <member kind="variable">
      <type>readonly attribute Security::AssociationOptions</type>
      <name>association_options_used</name>
      <anchorfile>a01501.html</anchorfile>
      <anchor>63ce6cb8720a32b63e1b6cd1171813fb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::DelegationMode</type>
      <name>delegation_mode</name>
      <anchorfile>a01501.html</anchorfile>
      <anchor>30b2fd94853a7774aac3793ede81927d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::Opaque</type>
      <name>comp_data</name>
      <anchorfile>a01501.html</anchorfile>
      <anchor>a76a05fed0190412994d2367ec604177</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute SecurityLevel2::Credentials</type>
      <name>client_credentials</name>
      <anchorfile>a01501.html</anchorfile>
      <anchor>b1545293d8124beeda78ea678821e039</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::AssociationOptions</type>
      <name>server_options_supported</name>
      <anchorfile>a01501.html</anchorfile>
      <anchor>6bac5adcf809e90347ea76ae4bb16ae4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::AssociationOptions</type>
      <name>server_options_required</name>
      <anchorfile>a01501.html</anchorfile>
      <anchor>9177bbf6ade8551385c323016a4ebfcd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::Opaque</type>
      <name>server_security_name</name>
      <anchorfile>a01501.html</anchorfile>
      <anchor>b76d2a5db312cb5f160491ec365ae7c4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityReplaceable::ServerSecurityContext</name>
    <filename>a01538.html</filename>
    <base>SecurityReplaceable::SecurityContext</base>
    <member kind="variable">
      <type>readonly attribute Security::AssociationOptions</type>
      <name>association_options_used</name>
      <anchorfile>a01538.html</anchorfile>
      <anchor>780912d9b9b4241b0bc049dc4b496c13</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::DelegationMode</type>
      <name>delegation_mode</name>
      <anchorfile>a01538.html</anchorfile>
      <anchor>4a067f1db5f86cde3970681da6dca9d0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute SecurityLevel2::Credentials</type>
      <name>server_credentials</name>
      <anchorfile>a01538.html</anchorfile>
      <anchor>b46b1f90da8a17bf1b23ada2500b5dbf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::AssociationOptions</type>
      <name>server_options_supported</name>
      <anchorfile>a01538.html</anchorfile>
      <anchor>221a94c5bf34417cf59a44b183924d64</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::AssociationOptions</type>
      <name>server_options_required</name>
      <anchorfile>a01538.html</anchorfile>
      <anchor>06d19c6029e3b9580a56e7254e883776</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::Opaque</type>
      <name>server_security_name</name>
      <anchorfile>a01538.html</anchorfile>
      <anchor>b4409692c24abce15a0b7d0719633c7e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityReplaceable::RequiredRights</name>
    <filename>a01529.html</filename>
    <member kind="function">
      <type>void</type>
      <name>get_required_rights</name>
      <anchorfile>a01529.html</anchorfile>
      <anchor>aa2449879a3fa8a6866011b7722334a2</anchor>
      <arglist>(in CORBA::Identifier operation_name, in CORBA::RepositoryId interface_name, out Security::RightsList rights, out Security::RightsCombinator rights_combinator)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_required_rights</name>
      <anchorfile>a01529.html</anchorfile>
      <anchor>5f3ff283cb3bc4b35fe1b2d8aa0cd5c4</anchor>
      <arglist>(in CORBA::Identifier operation_name, in CORBA::RepositoryId interface_name, in Security::RightsList rights, in Security::RightsCombinator rights_combinator)</arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityReplaceable::AuditChannel</name>
    <filename>a01496.html</filename>
    <member kind="function">
      <type>void</type>
      <name>audit_write</name>
      <anchorfile>a01496.html</anchorfile>
      <anchor>c06af2c1f04075704204caaff287159b</anchor>
      <arglist>(in Security::AuditEventType event_type, in SecurityLevel2::CredentialsList creds_list, in Security::UtcT time, in Security::SelectorValueList descriptors, in Security::Opaque event_specific_data)</arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::AuditChannelId</type>
      <name>audit_channel_id</name>
      <anchorfile>a01496.html</anchorfile>
      <anchor>12ff528683ad4e2f8d97548981ce6706</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityReplaceable::AuditDecision</name>
    <filename>a01498.html</filename>
    <member kind="function">
      <type>boolean</type>
      <name>audit_needed</name>
      <anchorfile>a01498.html</anchorfile>
      <anchor>17d99c27326f7b3fe12defef1eb6f90f</anchor>
      <arglist>(in Security::AuditEventType event_type, in Security::SelectorValueList value_list)</arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute AuditChannel</type>
      <name>audit_channel</name>
      <anchorfile>a01498.html</anchorfile>
      <anchor>90ba21bb766925ffbbd7b25b365e7720</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityReplaceable::AccessDecision</name>
    <filename>a01493.html</filename>
    <member kind="function">
      <type>boolean</type>
      <name>access_allowed</name>
      <anchorfile>a01493.html</anchorfile>
      <anchor>22ad9e65c1abf1fa572f79f39770d089</anchor>
      <arglist>(in SecurityLevel2::CredentialsList cred_list, in CORBA::Identifier operation_name, in CORBA::Identifier target_interface_name)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>TAO::CSI_Utils</name>
    <filename>a01585.html</filename>
    <member kind="function">
      <type>TAO_BEGIN_VERSIONED_NAMESPACE_DECL void</type>
      <name>create_sas_service_context</name>
      <anchorfile>a01585.html</anchorfile>
      <anchor>348846e6404f67e1c71044f4683ae87f</anchor>
      <arglist>(const CSI::SASContextBody &amp;sas_context, IOP::ServiceContext &amp;sc)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>extract_sas_service_context</name>
      <anchorfile>a01585.html</anchorfile>
      <anchor>db2f490f82fe0907bd25c952a7b213ab</anchor>
      <arglist>(const IOP::ServiceContext &amp;sc, CSI::SASContextBody &amp;sas_context)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>TAO::Security</name>
    <filename>a01586.html</filename>
    <class kind="class">TAO::Security::Current_Impl</class>
    <class kind="class">TAO::Security::ORBInitializer</class>
    <class kind="class">TAO::Security::PolicyFactory</class>
    <class kind="class">TAO::Security::EstablishTrustPolicy</class>
    <class kind="class">TAO::Security::QOPPolicy</class>
  </compound>
  <compound kind="class">
    <name>TAO::Security::Current_Impl</name>
    <filename>a01508.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Current_Impl</name>
      <anchorfile>a01508.html</anchorfile>
      <anchor>512961119896d717e791d1f7c02549a9</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::Security::ORBInitializer</name>
    <filename>a01521.html</filename>
    <base virtualness="virtual">TAO_Local_RefCounted_Object</base>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>pre_init</name>
      <anchorfile>a01521.html</anchorfile>
      <anchor>c0306c305cf808bc68dec11eec1fd815</anchor>
      <arglist>(PortableInterceptor::ORBInitInfo_ptr info)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>post_init</name>
      <anchorfile>a01521.html</anchorfile>
      <anchor>84e275a9583df1c86807e047489ef83e</anchor>
      <arglist>(PortableInterceptor::ORBInitInfo_ptr info)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>register_policy_factories</name>
      <anchorfile>a01521.html</anchorfile>
      <anchor>59936adb63b25311748e115e865acf8b</anchor>
      <arglist>(PortableInterceptor::ORBInitInfo_ptr info)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>PortableInterceptor::PolicyFactory_var</type>
      <name>policy_factory_</name>
      <anchorfile>a01521.html</anchorfile>
      <anchor>35f8c6cbd04662f2e311b827ceb93628</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::Security::PolicyFactory</name>
    <filename>a01523.html</filename>
    <base>TAO_Local_RefCounted_Object</base>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Policy_ptr</type>
      <name>create_policy</name>
      <anchorfile>a01523.html</anchorfile>
      <anchor>7755f4f91fb6af3c1f35c48e313a9739</anchor>
      <arglist>(CORBA::PolicyType type, const CORBA::Any &amp;value)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::Security::EstablishTrustPolicy</name>
    <filename>a01511.html</filename>
    <base virtualness="virtual">SecurityLevel2::EstablishTrustPolicy</base>
    <base virtualness="virtual">TAO_Local_RefCounted_Object</base>
    <member kind="function">
      <type></type>
      <name>EstablishTrustPolicy</name>
      <anchorfile>a01511.html</anchorfile>
      <anchor>99b5f32c3806aa71333a3126e03494ff</anchor>
      <arglist>(const ::Security::EstablishTrust &amp;trust)</arglist>
    </member>
    <member kind="function">
      <type>virtual ::Security::EstablishTrust</type>
      <name>trust</name>
      <anchorfile>a01511.html</anchorfile>
      <anchor>053e23af1df9238adb37be89996d2fcb</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::PolicyType</type>
      <name>policy_type</name>
      <anchorfile>a01511.html</anchorfile>
      <anchor>bfd396fefa4778e3610cee2a7fddf78f</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Policy_ptr</type>
      <name>copy</name>
      <anchorfile>a01511.html</anchorfile>
      <anchor>11df7499a29d0db92b3ce12c5a1cec00</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>destroy</name>
      <anchorfile>a01511.html</anchorfile>
      <anchor>70c993cd3d6843641db8de19ddd4e04c</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>~EstablishTrustPolicy</name>
      <anchorfile>a01511.html</anchorfile>
      <anchor>933bba3b666a9666144aed212af8679f</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>::Security::EstablishTrust const</type>
      <name>trust_</name>
      <anchorfile>a01511.html</anchorfile>
      <anchor>792d9bede747e4659a6611a65ff6275d</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::Security::QOPPolicy</name>
    <filename>a01526.html</filename>
    <base virtualness="virtual">SecurityLevel2::QOPPolicy</base>
    <base virtualness="virtual">TAO_Local_RefCounted_Object</base>
    <member kind="function">
      <type></type>
      <name>QOPPolicy</name>
      <anchorfile>a01526.html</anchorfile>
      <anchor>76b970f9bad73df460df76b3517dabc2</anchor>
      <arglist>(::Security::QOP qop)</arglist>
    </member>
    <member kind="function">
      <type>virtual ::Security::QOP</type>
      <name>qop</name>
      <anchorfile>a01526.html</anchorfile>
      <anchor>5dd31dae2a84e689b9c35064ce6e6cbc</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::PolicyType</type>
      <name>policy_type</name>
      <anchorfile>a01526.html</anchorfile>
      <anchor>9f9140505d314ccc65579942df61f9a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Policy_ptr</type>
      <name>copy</name>
      <anchorfile>a01526.html</anchorfile>
      <anchor>4c66206b4e7948f84b4e8af370511024</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>destroy</name>
      <anchorfile>a01526.html</anchorfile>
      <anchor>6d5b4fc87b30457b181396b456dfa687</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>~QOPPolicy</name>
      <anchorfile>a01526.html</anchorfile>
      <anchor>e007ff275ee385587a84ca77c15c3c13</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>::Security::QOP const</type>
      <name>qop_</name>
      <anchorfile>a01526.html</anchorfile>
      <anchor>b540158e9fb3ff050ec8f21f0c9fd381</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>TAO::SL3</name>
    <filename>a01587.html</filename>
    <class kind="class">TAO::SL3::ContextEstablishmentPolicy</class>
    <class kind="class">TAO::SL3::CredentialsAcquirerFactory</class>
    <class kind="class">TAO::SL3::CredentialsCurator</class>
    <class kind="class">TAO::SL3::ObjectCredentialsPolicy</class>
    <class kind="class">TAO::SL3::PolicyFactory</class>
    <class kind="class">TAO::SL3::SecurityCurrent</class>
    <class kind="class">TAO::SL3::SecurityCurrent_Impl</class>
    <class kind="class">TAO::SL3::SecurityManager</class>
    <member kind="typedef">
      <type>CredentialsCurator *</type>
      <name>CredentialsCurator_ptr</name>
      <anchorfile>a01587.html</anchorfile>
      <anchor>fc0686caf65162b30119d766d410b267</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Pseudo_Var_T&lt; CredentialsCurator &gt;</type>
      <name>CredentialsCurator_var</name>
      <anchorfile>a01587.html</anchorfile>
      <anchor>4405d7719d4870740ecd692a374cb450</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Pseudo_Out_T&lt; CredentialsCurator &gt;</type>
      <name>CredentialsCurator_out</name>
      <anchorfile>a01587.html</anchorfile>
      <anchor>7e8cbcb25fe5b56da7109d3cb2c74430</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::SL3::ContextEstablishmentPolicy</name>
    <filename>a01502.html</filename>
    <base virtualness="virtual">TAO_Local_RefCounted_Object</base>
    <member kind="function">
      <type></type>
      <name>ContextEstablishmentPolicy</name>
      <anchorfile>a01502.html</anchorfile>
      <anchor>6aae3a8498b14c99447943d260a3580e</anchor>
      <arglist>(SecurityLevel3::CredsDirective creds_directive, const SecurityLevel3::OwnCredentialsList &amp;creds_list, SecurityLevel3::FeatureDirective use_client_auth, SecurityLevel3::FeatureDirective use_target_auth, SecurityLevel3::FeatureDirective use_confidentiality, SecurityLevel3::FeatureDirective use_integrity)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::CredsDirective</type>
      <name>creds_directive</name>
      <anchorfile>a01502.html</anchorfile>
      <anchor>26f0f768b529a73a8e70ca967d23a9ca</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::OwnCredentialsList *</type>
      <name>creds_list</name>
      <anchorfile>a01502.html</anchorfile>
      <anchor>2ee8617ff00078ef661eb8d7a5bccaa1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::FeatureDirective</type>
      <name>use_client_auth</name>
      <anchorfile>a01502.html</anchorfile>
      <anchor>b94c7d4eba3ccc84b54c82f95e7abf01</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::FeatureDirective</type>
      <name>use_target_auth</name>
      <anchorfile>a01502.html</anchorfile>
      <anchor>7c1e20df354a2a16c922b993813d4559</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::FeatureDirective</type>
      <name>use_confidentiality</name>
      <anchorfile>a01502.html</anchorfile>
      <anchor>a352ac239f346bc85bb0194663a55e9b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::FeatureDirective</type>
      <name>use_integrity</name>
      <anchorfile>a01502.html</anchorfile>
      <anchor>d3efa95010c71920a2356549c00eac9b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::PolicyType</type>
      <name>policy_type</name>
      <anchorfile>a01502.html</anchorfile>
      <anchor>8217c3ffec25d2d2a5a0e24d3e7d7c67</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Policy_ptr</type>
      <name>copy</name>
      <anchorfile>a01502.html</anchorfile>
      <anchor>91055dda791304e8b222544c0e9d9ac3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>destroy</name>
      <anchorfile>a01502.html</anchorfile>
      <anchor>4f0cc72a2f86e3eee5f1b3a713ffac26</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>~ContextEstablishmentPolicy</name>
      <anchorfile>a01502.html</anchorfile>
      <anchor>4dbf09bfcdf3e5f8eee18201472deae7</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>SecurityLevel3::CredsDirective</type>
      <name>creds_directive_</name>
      <anchorfile>a01502.html</anchorfile>
      <anchor>005ecdc44a9374c22d8b703bb2f55101</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>SecurityLevel3::OwnCredentialsList</type>
      <name>creds_list_</name>
      <anchorfile>a01502.html</anchorfile>
      <anchor>e6d486427050e5098b71a02d3146ed5b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>SecurityLevel3::FeatureDirective</type>
      <name>use_client_auth_</name>
      <anchorfile>a01502.html</anchorfile>
      <anchor>b87013b893cef2dafc1bc3bb87330349</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>SecurityLevel3::FeatureDirective</type>
      <name>use_target_auth_</name>
      <anchorfile>a01502.html</anchorfile>
      <anchor>08051655e7229e97e3256ad587cf234a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>SecurityLevel3::FeatureDirective</type>
      <name>use_confidentiality_</name>
      <anchorfile>a01502.html</anchorfile>
      <anchor>0c963b415a63ee0cd805799008224a45</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>SecurityLevel3::FeatureDirective</type>
      <name>use_integrity_</name>
      <anchorfile>a01502.html</anchorfile>
      <anchor>3a266de33bf4fc314c1d98aa71dbc45d</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::SL3::CredentialsAcquirerFactory</name>
    <filename>a01504.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CredentialsAcquirerFactory</name>
      <anchorfile>a01504.html</anchorfile>
      <anchor>1167041c47556da67ce5dd2fb781dc89</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual SecurityLevel3::CredentialsAcquirer_ptr</type>
      <name>make</name>
      <anchorfile>a01504.html</anchorfile>
      <anchor>56fb3308635fb917dfbf7556e15a847c</anchor>
      <arglist>(TAO::SL3::CredentialsCurator_ptr curator, const CORBA::Any &amp;acquisition_arguments)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::SL3::CredentialsCurator</name>
    <filename>a01505.html</filename>
    <base virtualness="virtual">TAO_Local_RefCounted_Object</base>
    <member kind="typedef">
      <type>CredentialsCurator_ptr</type>
      <name>_ptr_type</name>
      <anchorfile>a01505.html</anchorfile>
      <anchor>e785c067fca203c9c6f34f9c3cc0ac33</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>CredentialsCurator_var</type>
      <name>_var_type</name>
      <anchorfile>a01505.html</anchorfile>
      <anchor>0a1a55354870b5794dd342d435f27b12</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>CredentialsCurator_out</type>
      <name>_out_type</name>
      <anchorfile>a01505.html</anchorfile>
      <anchor>121f33996c9a8fde8c4498e57c7614b8</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_Map_Manager&lt; const char *, TAO::SL3::CredentialsAcquirerFactory *, ACE_Null_Mutex &gt;</type>
      <name>Acquirer_Factory_Table</name>
      <anchorfile>a01505.html</anchorfile>
      <anchor>95d90f234c565d4a4fef587392d3f607</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Acquirer_Factory_Table::iterator</type>
      <name>Factory_Iterator</name>
      <anchorfile>a01505.html</anchorfile>
      <anchor>65e3743bf0d8bb0c948c60dd7e2b1543</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_Hash_Map_Manager_Ex&lt; const char *, SecurityLevel3::OwnCredentials_var, ACE_Hash&lt; const char * &gt;, ACE_Equal_To&lt; const char * &gt;, ACE_Null_Mutex &gt;</type>
      <name>Credentials_Table</name>
      <anchorfile>a01505.html</anchorfile>
      <anchor>7428899b456ace4d9f968998d3b7e507</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Credentials_Table::iterator</type>
      <name>Credentials_Iterator</name>
      <anchorfile>a01505.html</anchorfile>
      <anchor>5f8f5ac534521368a9831eb65db16068</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CredentialsCurator</name>
      <anchorfile>a01505.html</anchorfile>
      <anchor>76d348f414cea5714278b74ae04e4f98</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>register_acquirer_factory</name>
      <anchorfile>a01505.html</anchorfile>
      <anchor>61df477eab916271e4e9f0e9599cc832</anchor>
      <arglist>(const char *acquisition_method, TAO::SL3::CredentialsAcquirerFactory *factory)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>_tao_add_own_credentials</name>
      <anchorfile>a01505.html</anchorfile>
      <anchor>c3e66cce41ddc2cfaf62315e92a42703</anchor>
      <arglist>(SecurityLevel3::OwnCredentials_ptr credentials)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::AcquisitionMethodList *</type>
      <name>supported_methods</name>
      <anchorfile>a01505.html</anchorfile>
      <anchor>9ff5ed3faffb4e20b200447407f94899</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::CredentialsAcquirer_ptr</type>
      <name>acquire_credentials</name>
      <anchorfile>a01505.html</anchorfile>
      <anchor>3f4d8b3b5637b0033b0216b9aefdd093</anchor>
      <arglist>(const char *acquisition_method, const CORBA::Any &amp;acquisition_arguments)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::OwnCredentialsList *</type>
      <name>default_creds_list</name>
      <anchorfile>a01505.html</anchorfile>
      <anchor>3b69c411d1e0dbd196a8cda6be7414e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::CredentialsIdList *</type>
      <name>default_creds_ids</name>
      <anchorfile>a01505.html</anchorfile>
      <anchor>3823cc3a45575e4dc5dc1b4f7e92eea8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::OwnCredentials_ptr</type>
      <name>get_own_credentials</name>
      <anchorfile>a01505.html</anchorfile>
      <anchor>a4e717214dead9cc6200a73258785fe9</anchor>
      <arglist>(const char *credentials_id)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>release_own_credentials</name>
      <anchorfile>a01505.html</anchorfile>
      <anchor>3259022326efacd2a2d6d0022c65cde7</anchor>
      <arglist>(const char *credentials_id)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CredentialsCurator_ptr</type>
      <name>_duplicate</name>
      <anchorfile>a01505.html</anchorfile>
      <anchor>cf4eff4f8b1b76d2d4a98f8deaa28a75</anchor>
      <arglist>(CredentialsCurator_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CredentialsCurator_ptr</type>
      <name>_nil</name>
      <anchorfile>a01505.html</anchorfile>
      <anchor>87662478e39681363f5bb1da26039650</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CredentialsCurator_ptr</type>
      <name>_narrow</name>
      <anchorfile>a01505.html</anchorfile>
      <anchor>18b20092a902bed4eb97ff583155f04c</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>~CredentialsCurator</name>
      <anchorfile>a01505.html</anchorfile>
      <anchor>4cc959dea8f8a8173eefd30c8da197f7</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>TAO_SYNCH_MUTEX</type>
      <name>lock_</name>
      <anchorfile>a01505.html</anchorfile>
      <anchor>088daf6b65279f3e28c76ad27223a107</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Acquirer_Factory_Table</type>
      <name>acquirer_factories_</name>
      <anchorfile>a01505.html</anchorfile>
      <anchor>b91b0189ea74ed9dcf452e435ffa04ed</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Credentials_Table</type>
      <name>credentials_table_</name>
      <anchorfile>a01505.html</anchorfile>
      <anchor>2e8da8aeaef3052aa7e2acf9d753c8b1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::SL3::ObjectCredentialsPolicy</name>
    <filename>a01517.html</filename>
    <base virtualness="virtual">TAO_Local_RefCounted_Object</base>
    <member kind="function">
      <type></type>
      <name>ObjectCredentialsPolicy</name>
      <anchorfile>a01517.html</anchorfile>
      <anchor>cf6aa06fe37ce93e4b26557eaae6a135</anchor>
      <arglist>(const SecurityLevel3::OwnCredentialsList &amp;creds)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::OwnCredentialsList *</type>
      <name>creds_list</name>
      <anchorfile>a01517.html</anchorfile>
      <anchor>7ca276701b8306fd191ef793bc160a6a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::PolicyType</type>
      <name>policy_type</name>
      <anchorfile>a01517.html</anchorfile>
      <anchor>d91732a13641596c85bb51e7a3d80540</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Policy_ptr</type>
      <name>copy</name>
      <anchorfile>a01517.html</anchorfile>
      <anchor>a1a6f07b2773d1f6b20ddd10a74771da</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>destroy</name>
      <anchorfile>a01517.html</anchorfile>
      <anchor>a70bf2dde9c3b1c95c9e615812f9f0fe</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>~ObjectCredentialsPolicy</name>
      <anchorfile>a01517.html</anchorfile>
      <anchor>9dfaf49de262d6ec4fa6d0f5c6741e47</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>SecurityLevel3::OwnCredentialsList</type>
      <name>creds_list_</name>
      <anchorfile>a01517.html</anchorfile>
      <anchor>34a1f759409911d677efdc83b6a9d3e4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::SL3::PolicyFactory</name>
    <filename>a01522.html</filename>
    <base virtualness="virtual">TAO_Local_RefCounted_Object</base>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Policy_ptr</type>
      <name>create_policy</name>
      <anchorfile>a01522.html</anchorfile>
      <anchor>6f3161381b340356c57314b0b02eef86</anchor>
      <arglist>(CORBA::PolicyType type, const CORBA::Any &amp;value)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::SL3::SecurityCurrent</name>
    <filename>a01533.html</filename>
    <base virtualness="virtual">TAO_Local_RefCounted_Object</base>
    <member kind="function">
      <type></type>
      <name>SecurityCurrent</name>
      <anchorfile>a01533.html</anchorfile>
      <anchor>1f48cd093a79da993c6509004420bc85</anchor>
      <arglist>(size_t tss_slot, TAO_ORB_Core *oc)</arglist>
    </member>
    <member kind="function">
      <type>size_t</type>
      <name>tss_slot</name>
      <anchorfile>a01533.html</anchorfile>
      <anchor>18a068cfd960af6303b45c01c282e2a9</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::ClientCredentials_ptr</type>
      <name>client_credentials</name>
      <anchorfile>a01533.html</anchorfile>
      <anchor>5761470e8d2f25fa19d19fb8d718024a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>request_is_local</name>
      <anchorfile>a01533.html</anchorfile>
      <anchor>0117ad0ca905f960ffcf8e5b84779cbb</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>~SecurityCurrent</name>
      <anchorfile>a01533.html</anchorfile>
      <anchor>b1b4795b534b564119859ee25591b077</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>SecurityCurrent_Impl *</type>
      <name>implementation</name>
      <anchorfile>a01533.html</anchorfile>
      <anchor>d2012d15007fa4f6e1ca9c04cec2ce2c</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>SecurityCurrent</name>
      <anchorfile>a01533.html</anchorfile>
      <anchor>88b4439f7949d5e54db825f39ff2f865</anchor>
      <arglist>(const SecurityCurrent &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>operator=</name>
      <anchorfile>a01533.html</anchorfile>
      <anchor>f409d2d3437c49f736a19061cd1a072e</anchor>
      <arglist>(const SecurityCurrent &amp;)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>const size_t</type>
      <name>tss_slot_</name>
      <anchorfile>a01533.html</anchorfile>
      <anchor>c946581ee64dad8c1801c2ec61369ee2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>TAO_ORB_Core *const</type>
      <name>orb_core_</name>
      <anchorfile>a01533.html</anchorfile>
      <anchor>f04345fb0a435469290e32783bcdd2c6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::SL3::SecurityCurrent_Impl</name>
    <filename>a01534.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~SecurityCurrent_Impl</name>
      <anchorfile>a01534.html</anchorfile>
      <anchor>231839526b0373f121c7d40c5d531680</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::SL3::SecurityManager</name>
    <filename>a01535.html</filename>
    <base virtualness="virtual">TAO_Local_RefCounted_Object</base>
    <member kind="function">
      <type></type>
      <name>SecurityManager</name>
      <anchorfile>a01535.html</anchorfile>
      <anchor>f634ac801dcb75afa2ee0fa5eeb83f36</anchor>
      <arglist>(SecurityLevel3::CredentialsCurator_ptr cc)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::CredentialsCurator_ptr</type>
      <name>credentials_curator</name>
      <anchorfile>a01535.html</anchorfile>
      <anchor>dea5c58fe9a6983a941124830005c1e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::TargetCredentials_ptr</type>
      <name>get_target_credentials</name>
      <anchorfile>a01535.html</anchorfile>
      <anchor>4e9134cb1c79ef9094e855784053d69c</anchor>
      <arglist>(CORBA::Object_ptr the_object)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::ContextEstablishmentPolicy_ptr</type>
      <name>create_context_estab_policy</name>
      <anchorfile>a01535.html</anchorfile>
      <anchor>418016d55258040ef150711213362125</anchor>
      <arglist>(SecurityLevel3::CredsDirective creds_directive, const SecurityLevel3::OwnCredentialsList &amp;creds_list, SecurityLevel3::FeatureDirective use_client_auth, SecurityLevel3::FeatureDirective use_target_auth, SecurityLevel3::FeatureDirective use_confidentiality, SecurityLevel3::FeatureDirective use_integrity)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::ObjectCredentialsPolicy_ptr</type>
      <name>create_object_creds_policy</name>
      <anchorfile>a01535.html</anchorfile>
      <anchor>8ce9894a2179df5ab393ca92cefc32f1</anchor>
      <arglist>(const SecurityLevel3::OwnCredentialsList &amp;cred_list)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual</type>
      <name>~SecurityManager</name>
      <anchorfile>a01535.html</anchorfile>
      <anchor>9c1d56cf352d3fb30ee8b091f841be8e</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>SecurityLevel3::CredentialsCurator_var</type>
      <name>credentials_curator_</name>
      <anchorfile>a01535.html</anchorfile>
      <anchor>d0222ce39c190cb5eafafb943e42528a</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
